set(WebCore_PRIVATE_FRAMEWORK_HEADERS
    Modules/ShapeDetection/Interfaces/BarcodeDetectorInterface.h
    Modules/ShapeDetection/Interfaces/BarcodeDetectorOptionsInterface.h
    Modules/ShapeDetection/Interfaces/BarcodeFormatInterface.h
    Modules/ShapeDetection/Interfaces/DetectedBarcodeInterface.h
    Modules/ShapeDetection/Interfaces/DetectedFaceInterface.h
    Modules/ShapeDetection/Interfaces/DetectedTextInterface.h
    Modules/ShapeDetection/Interfaces/FaceDetectorInterface.h
    Modules/ShapeDetection/Interfaces/FaceDetectorOptionsInterface.h
    Modules/ShapeDetection/Interfaces/LandmarkInterface.h
    Modules/ShapeDetection/Interfaces/LandmarkTypeInterface.h
    Modules/ShapeDetection/Interfaces/TextDetectorInterface.h

    Modules/WebGPU/GPU.h
    Modules/WebGPU/GPUAdapter.h
    Modules/WebGPU/GPUAdapterInfo.h
    Modules/WebGPU/GPUAddressMode.h
    Modules/WebGPU/GPUAutoLayoutMode.h
    Modules/WebGPU/GPUBindGroup.h
    Modules/WebGPU/GPUBindGroupDescriptor.h
    Modules/WebGPU/GPUBindGroupEntry.h
    Modules/WebGPU/GPUBindGroupLayout.h
    Modules/WebGPU/GPUBindGroupLayoutDescriptor.h
    Modules/WebGPU/GPUBindGroupLayoutEntry.h
    Modules/WebGPU/GPUBlendComponent.h
    Modules/WebGPU/GPUBlendFactor.h
    Modules/WebGPU/GPUBlendOperation.h
    Modules/WebGPU/GPUBlendState.h
    Modules/WebGPU/GPUBuffer.h
    Modules/WebGPU/GPUBufferBinding.h
    Modules/WebGPU/GPUBufferBindingLayout.h
    Modules/WebGPU/GPUBufferBindingType.h
    Modules/WebGPU/GPUBufferDescriptor.h
    Modules/WebGPU/GPUBufferMapState.h
    Modules/WebGPU/GPUBufferUsage.h
    Modules/WebGPU/GPUCanvasCompositingAlphaMode.h
    Modules/WebGPU/GPUCanvasConfiguration.h
    Modules/WebGPU/GPUColorDict.h
    Modules/WebGPU/GPUColorTargetState.h
    Modules/WebGPU/GPUColorWrite.h
    Modules/WebGPU/GPUCommandBuffer.h
    Modules/WebGPU/GPUCommandBufferDescriptor.h
    Modules/WebGPU/GPUCommandEncoder.h
    Modules/WebGPU/GPUCommandEncoderDescriptor.h
    Modules/WebGPU/GPUCompareFunction.h
    Modules/WebGPU/GPUCompilationInfo.h
    Modules/WebGPU/GPUCompilationMessage.h
    Modules/WebGPU/GPUCompilationMessageType.h
    Modules/WebGPU/GPUComputePassDescriptor.h
    Modules/WebGPU/GPUComputePassEncoder.h
    Modules/WebGPU/GPUComputePassTimestampLocation.h
    Modules/WebGPU/GPUComputePassTimestampWrite.h
    Modules/WebGPU/GPUComputePipeline.h
    Modules/WebGPU/GPUComputePipelineDescriptor.h
    Modules/WebGPU/GPUCullMode.h
    Modules/WebGPU/GPUDepthStencilState.h
    Modules/WebGPU/GPUDevice.h
    Modules/WebGPU/GPUDeviceDescriptor.h
    Modules/WebGPU/GPUDeviceLostInfo.h
    Modules/WebGPU/GPUDeviceLostReason.h
    Modules/WebGPU/GPUError.h
    Modules/WebGPU/GPUErrorFilter.h
    Modules/WebGPU/GPUExtent3DDict.h
    Modules/WebGPU/GPUExternalTexture.h
    Modules/WebGPU/GPUExternalTextureBindingLayout.h
    Modules/WebGPU/GPUExternalTextureDescriptor.h
    Modules/WebGPU/GPUFeatureName.h
    Modules/WebGPU/GPUFilterMode.h
    Modules/WebGPU/GPUFragmentState.h
    Modules/WebGPU/GPUFrontFace.h
    Modules/WebGPU/GPUImageCopyBuffer.h
    Modules/WebGPU/GPUImageCopyExternalImage.h
    Modules/WebGPU/GPUImageCopyTexture.h
    Modules/WebGPU/GPUImageCopyTextureTagged.h
    Modules/WebGPU/GPUImageDataLayout.h
    Modules/WebGPU/GPUIndexFormat.h
    Modules/WebGPU/GPUIntegralTypes.h
    Modules/WebGPU/GPULoadOp.h
    Modules/WebGPU/GPUMapMode.h
    Modules/WebGPU/GPUMultisampleState.h
    Modules/WebGPU/GPUObjectDescriptorBase.h
    Modules/WebGPU/GPUOrigin2DDict.h
    Modules/WebGPU/GPUOrigin3DDict.h
    Modules/WebGPU/GPUOutOfMemoryError.h
    Modules/WebGPU/GPUPipelineDescriptorBase.h
    Modules/WebGPU/GPUPipelineError.h
    Modules/WebGPU/GPUPipelineErrorInit.h
    Modules/WebGPU/GPUPipelineErrorReason.h
    Modules/WebGPU/GPUPipelineLayout.h
    Modules/WebGPU/GPUPipelineLayoutDescriptor.h
    Modules/WebGPU/GPUPowerPreference.h
    Modules/WebGPU/GPUPredefinedColorSpace.h
    Modules/WebGPU/GPUPrimitiveState.h
    Modules/WebGPU/GPUPrimitiveTopology.h
    Modules/WebGPU/GPUProgrammableStage.h
    Modules/WebGPU/GPUQuerySet.h
    Modules/WebGPU/GPUQuerySetDescriptor.h
    Modules/WebGPU/GPUQueryType.h
    Modules/WebGPU/GPUQueue.h
    Modules/WebGPU/GPURenderBundle.h
    Modules/WebGPU/GPURenderBundleDescriptor.h
    Modules/WebGPU/GPURenderBundleEncoder.h
    Modules/WebGPU/GPURenderBundleEncoderDescriptor.h
    Modules/WebGPU/GPURenderPassColorAttachment.h
    Modules/WebGPU/GPURenderPassDepthStencilAttachment.h
    Modules/WebGPU/GPURenderPassDescriptor.h
    Modules/WebGPU/GPURenderPassEncoder.h
    Modules/WebGPU/GPURenderPassLayout.h
    Modules/WebGPU/GPURenderPassTimestampLocation.h
    Modules/WebGPU/GPURenderPassTimestampWrite.h
    Modules/WebGPU/GPURenderPipeline.h
    Modules/WebGPU/GPURenderPipelineDescriptor.h
    Modules/WebGPU/GPURequestAdapterOptions.h
    Modules/WebGPU/GPUSampler.h
    Modules/WebGPU/GPUSamplerBindingLayout.h
    Modules/WebGPU/GPUSamplerBindingType.h
    Modules/WebGPU/GPUSamplerDescriptor.h
    Modules/WebGPU/GPUShaderModule.h
    Modules/WebGPU/GPUShaderModuleCompilationHint.h
    Modules/WebGPU/GPUShaderModuleDescriptor.h
    Modules/WebGPU/GPUShaderStage.h
    Modules/WebGPU/GPUStencilFaceState.h
    Modules/WebGPU/GPUStencilOperation.h
    Modules/WebGPU/GPUStorageTextureAccess.h
    Modules/WebGPU/GPUStorageTextureBindingLayout.h
    Modules/WebGPU/GPUStoreOp.h
    Modules/WebGPU/GPUSupportedFeatures.h
    Modules/WebGPU/GPUSupportedLimits.h
    Modules/WebGPU/GPUTexture.h
    Modules/WebGPU/GPUTextureAspect.h
    Modules/WebGPU/GPUTextureBindingLayout.h
    Modules/WebGPU/GPUTextureDescriptor.h
    Modules/WebGPU/GPUTextureDimension.h
    Modules/WebGPU/GPUTextureFormat.h
    Modules/WebGPU/GPUTextureSampleType.h
    Modules/WebGPU/GPUTextureUsage.h
    Modules/WebGPU/GPUTextureView.h
    Modules/WebGPU/GPUTextureViewDescriptor.h
    Modules/WebGPU/GPUTextureViewDimension.h
    Modules/WebGPU/GPUUncapturedErrorEvent.h
    Modules/WebGPU/GPUUncapturedErrorEventInit.h
    Modules/WebGPU/GPUValidationError.h
    Modules/WebGPU/GPUVertexAttribute.h
    Modules/WebGPU/GPUVertexBufferLayout.h
    Modules/WebGPU/GPUVertexFormat.h
    Modules/WebGPU/GPUVertexState.h
    Modules/WebGPU/GPUVertexStepMode.h

    Modules/WebGPU/Implementation/WebGPUAdapterImpl.h
    Modules/WebGPU/Implementation/WebGPUBindGroupImpl.h
    Modules/WebGPU/Implementation/WebGPUBindGroupLayoutImpl.h
    Modules/WebGPU/Implementation/WebGPUBufferImpl.h
    Modules/WebGPU/Implementation/WebGPUCommandBufferImpl.h
    Modules/WebGPU/Implementation/WebGPUCommandEncoderImpl.h
    Modules/WebGPU/Implementation/WebGPUCompositorIntegrationImpl.h
    Modules/WebGPU/Implementation/WebGPUComputePassEncoderImpl.h
    Modules/WebGPU/Implementation/WebGPUComputePipelineImpl.h
    Modules/WebGPU/Implementation/WebGPUConvertToBackingContext.h
    Modules/WebGPU/Implementation/WebGPUDeviceImpl.h
    Modules/WebGPU/Implementation/WebGPUDowncastConvertToBackingContext.h
    Modules/WebGPU/Implementation/WebGPUExternalTextureImpl.h
    Modules/WebGPU/Implementation/WebGPUImpl.h
    Modules/WebGPU/Implementation/WebGPUPipelineLayoutImpl.h
    Modules/WebGPU/Implementation/WebGPUPresentationContextImpl.h
    Modules/WebGPU/Implementation/WebGPUPtr.h
    Modules/WebGPU/Implementation/WebGPUQuerySetImpl.h
    Modules/WebGPU/Implementation/WebGPUQueueImpl.h
    Modules/WebGPU/Implementation/WebGPURenderBundleEncoderImpl.h
    Modules/WebGPU/Implementation/WebGPURenderBundleImpl.h
    Modules/WebGPU/Implementation/WebGPURenderPassEncoderImpl.h
    Modules/WebGPU/Implementation/WebGPURenderPipelineImpl.h
    Modules/WebGPU/Implementation/WebGPUSamplerImpl.h
    Modules/WebGPU/Implementation/WebGPUShaderModuleImpl.h
    Modules/WebGPU/Implementation/WebGPUTextureImpl.h
    Modules/WebGPU/Implementation/WebGPUTextureViewImpl.h

    Modules/WebGPU/InternalAPI/WebGPU.h
    Modules/WebGPU/InternalAPI/WebGPUAdapter.h
    Modules/WebGPU/InternalAPI/WebGPUAddressMode.h
    Modules/WebGPU/InternalAPI/WebGPUBindGroup.h
    Modules/WebGPU/InternalAPI/WebGPUBindGroupDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPUBindGroupEntry.h
    Modules/WebGPU/InternalAPI/WebGPUBindGroupLayout.h
    Modules/WebGPU/InternalAPI/WebGPUBindGroupLayoutDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPUBindGroupLayoutEntry.h
    Modules/WebGPU/InternalAPI/WebGPUBlendComponent.h
    Modules/WebGPU/InternalAPI/WebGPUBlendFactor.h
    Modules/WebGPU/InternalAPI/WebGPUBlendOperation.h
    Modules/WebGPU/InternalAPI/WebGPUBlendState.h
    Modules/WebGPU/InternalAPI/WebGPUBuffer.h
    Modules/WebGPU/InternalAPI/WebGPUBufferBinding.h
    Modules/WebGPU/InternalAPI/WebGPUBufferBindingLayout.h
    Modules/WebGPU/InternalAPI/WebGPUBufferBindingType.h
    Modules/WebGPU/InternalAPI/WebGPUBufferDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPUBufferUsage.h
    Modules/WebGPU/InternalAPI/WebGPUCanvasCompositingAlphaMode.h
    Modules/WebGPU/InternalAPI/WebGPUCanvasConfiguration.h
    Modules/WebGPU/InternalAPI/WebGPUColor.h
    Modules/WebGPU/InternalAPI/WebGPUColorTargetState.h
    Modules/WebGPU/InternalAPI/WebGPUColorWrite.h
    Modules/WebGPU/InternalAPI/WebGPUCommandBuffer.h
    Modules/WebGPU/InternalAPI/WebGPUCommandBufferDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPUCommandEncoder.h
    Modules/WebGPU/InternalAPI/WebGPUCommandEncoderDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPUCompareFunction.h
    Modules/WebGPU/InternalAPI/WebGPUCompilationInfo.h
    Modules/WebGPU/InternalAPI/WebGPUCompilationMessage.h
    Modules/WebGPU/InternalAPI/WebGPUCompilationMessageType.h
    Modules/WebGPU/InternalAPI/WebGPUCompositorIntegration.h
    Modules/WebGPU/InternalAPI/WebGPUComputePassDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPUComputePassEncoder.h
    Modules/WebGPU/InternalAPI/WebGPUComputePassTimestampLocation.h
    Modules/WebGPU/InternalAPI/WebGPUComputePassTimestampWrites.h
    Modules/WebGPU/InternalAPI/WebGPUComputePipeline.h
    Modules/WebGPU/InternalAPI/WebGPUComputePipelineDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPUCullMode.h
    Modules/WebGPU/InternalAPI/WebGPUDepthStencilState.h
    Modules/WebGPU/InternalAPI/WebGPUDevice.h
    Modules/WebGPU/InternalAPI/WebGPUDeviceDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPUDeviceLostInfo.h
    Modules/WebGPU/InternalAPI/WebGPUDeviceLostReason.h
    Modules/WebGPU/InternalAPI/WebGPUError.h
    Modules/WebGPU/InternalAPI/WebGPUErrorFilter.h
    Modules/WebGPU/InternalAPI/WebGPUExtent3D.h
    Modules/WebGPU/InternalAPI/WebGPUExternalTexture.h
    Modules/WebGPU/InternalAPI/WebGPUExternalTextureBindingLayout.h
    Modules/WebGPU/InternalAPI/WebGPUExternalTextureDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPUFeatureName.h
    Modules/WebGPU/InternalAPI/WebGPUFilterMode.h
    Modules/WebGPU/InternalAPI/WebGPUFragmentState.h
    Modules/WebGPU/InternalAPI/WebGPUFrontFace.h
    Modules/WebGPU/InternalAPI/WebGPUImageCopyBuffer.h
    Modules/WebGPU/InternalAPI/WebGPUImageCopyExternalImage.h
    Modules/WebGPU/InternalAPI/WebGPUImageCopyTexture.h
    Modules/WebGPU/InternalAPI/WebGPUImageCopyTextureTagged.h
    Modules/WebGPU/InternalAPI/WebGPUImageDataLayout.h
    Modules/WebGPU/InternalAPI/WebGPUIndexFormat.h
    Modules/WebGPU/InternalAPI/WebGPUIntegralTypes.h
    Modules/WebGPU/InternalAPI/WebGPUInternalError.h
    Modules/WebGPU/InternalAPI/WebGPULoadOp.h
    Modules/WebGPU/InternalAPI/WebGPUMapMode.h
    Modules/WebGPU/InternalAPI/WebGPUMultisampleState.h
    Modules/WebGPU/InternalAPI/WebGPUObjectDescriptorBase.h
    Modules/WebGPU/InternalAPI/WebGPUOrigin2D.h
    Modules/WebGPU/InternalAPI/WebGPUOrigin3D.h
    Modules/WebGPU/InternalAPI/WebGPUOutOfMemoryError.h
    Modules/WebGPU/InternalAPI/WebGPUPipelineDescriptorBase.h
    Modules/WebGPU/InternalAPI/WebGPUPipelineLayout.h
    Modules/WebGPU/InternalAPI/WebGPUPipelineLayoutDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPUPowerPreference.h
    Modules/WebGPU/InternalAPI/WebGPUPredefinedColorSpace.h
    Modules/WebGPU/InternalAPI/WebGPUPresentationContext.h
    Modules/WebGPU/InternalAPI/WebGPUPresentationContextDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPUPrimitiveState.h
    Modules/WebGPU/InternalAPI/WebGPUPrimitiveTopology.h
    Modules/WebGPU/InternalAPI/WebGPUProgrammableStage.h
    Modules/WebGPU/InternalAPI/WebGPUQuerySet.h
    Modules/WebGPU/InternalAPI/WebGPUQuerySetDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPUQueryType.h
    Modules/WebGPU/InternalAPI/WebGPUQueue.h
    Modules/WebGPU/InternalAPI/WebGPURenderBundle.h
    Modules/WebGPU/InternalAPI/WebGPURenderBundleDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPURenderBundleEncoder.h
    Modules/WebGPU/InternalAPI/WebGPURenderBundleEncoderDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPURenderPassColorAttachment.h
    Modules/WebGPU/InternalAPI/WebGPURenderPassDepthStencilAttachment.h
    Modules/WebGPU/InternalAPI/WebGPURenderPassDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPURenderPassEncoder.h
    Modules/WebGPU/InternalAPI/WebGPURenderPassLayout.h
    Modules/WebGPU/InternalAPI/WebGPURenderPassTimestampLocation.h
    Modules/WebGPU/InternalAPI/WebGPURenderPassTimestampWrites.h
    Modules/WebGPU/InternalAPI/WebGPURenderPipeline.h
    Modules/WebGPU/InternalAPI/WebGPURenderPipelineDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPURequestAdapterOptions.h
    Modules/WebGPU/InternalAPI/WebGPUSampler.h
    Modules/WebGPU/InternalAPI/WebGPUSamplerBindingLayout.h
    Modules/WebGPU/InternalAPI/WebGPUSamplerBindingType.h
    Modules/WebGPU/InternalAPI/WebGPUSamplerDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPUShaderModule.h
    Modules/WebGPU/InternalAPI/WebGPUShaderModuleCompilationHint.h
    Modules/WebGPU/InternalAPI/WebGPUShaderModuleDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPUShaderStage.h
    Modules/WebGPU/InternalAPI/WebGPUStencilFaceState.h
    Modules/WebGPU/InternalAPI/WebGPUStencilOperation.h
    Modules/WebGPU/InternalAPI/WebGPUStorageTextureAccess.h
    Modules/WebGPU/InternalAPI/WebGPUStorageTextureBindingLayout.h
    Modules/WebGPU/InternalAPI/WebGPUStoreOp.h
    Modules/WebGPU/InternalAPI/WebGPUSupportedFeatures.h
    Modules/WebGPU/InternalAPI/WebGPUSupportedLimits.h
    Modules/WebGPU/InternalAPI/WebGPUTexture.h
    Modules/WebGPU/InternalAPI/WebGPUTextureAspect.h
    Modules/WebGPU/InternalAPI/WebGPUTextureBindingLayout.h
    Modules/WebGPU/InternalAPI/WebGPUTextureDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPUTextureDimension.h
    Modules/WebGPU/InternalAPI/WebGPUTextureFormat.h
    Modules/WebGPU/InternalAPI/WebGPUTextureSampleType.h
    Modules/WebGPU/InternalAPI/WebGPUTextureUsage.h
    Modules/WebGPU/InternalAPI/WebGPUTextureView.h
    Modules/WebGPU/InternalAPI/WebGPUTextureViewDescriptor.h
    Modules/WebGPU/InternalAPI/WebGPUTextureViewDimension.h
    Modules/WebGPU/InternalAPI/WebGPUUncapturedErrorEvent.h
    Modules/WebGPU/InternalAPI/WebGPUUncapturedErrorEventInit.h
    Modules/WebGPU/InternalAPI/WebGPUValidationError.h
    Modules/WebGPU/InternalAPI/WebGPUVertexAttribute.h
    Modules/WebGPU/InternalAPI/WebGPUVertexBufferLayout.h
    Modules/WebGPU/InternalAPI/WebGPUVertexFormat.h
    Modules/WebGPU/InternalAPI/WebGPUVertexState.h
    Modules/WebGPU/InternalAPI/WebGPUVertexStepMode.h

    Modules/airplay/PlaybackTargetClientContextIdentifier.h

    Modules/applepay/ApplePayLogoSystemImage.h
    Modules/applepay/ApplePaySessionPaymentRequest.h
    Modules/applepay/Payment.h
    Modules/applepay/PaymentContact.h
    Modules/applepay/PaymentCoordinator.h
    Modules/applepay/PaymentCoordinatorClient.h
    Modules/applepay/PaymentHeaders.h
    Modules/applepay/PaymentMerchantSession.h
    Modules/applepay/PaymentMethod.h

    Modules/applicationmanifest/ApplicationManifest.h
    Modules/applicationmanifest/ApplicationManifestParser.h

    Modules/audiosession/DOMAudioSession.h

    Modules/badge/BadgeClient.h
    Modules/badge/EmptyBadgeClient.h
    Modules/badge/WorkerBadgeProxy.h

    Modules/cache/CacheQueryOptions.h
    Modules/cache/CacheStorageConnection.h
    Modules/cache/DOMCacheEngine.h
    Modules/cache/DOMCacheIdentifier.h
    Modules/cache/RetrieveRecordsOptions.h

    Modules/compression/CompressionStreamEncoder.h
    Modules/compression/DecompressionStreamDecoder.h
    Modules/compression/Formats.h

    Modules/contact-picker/ContactInfo.h
    Modules/contact-picker/ContactProperty.h
    Modules/contact-picker/ContactsRequestData.h

    Modules/cookie-consent/CookieConsentDecisionResult.h

    Modules/cookie-store/CookieStoreGetOptions.h

    Modules/encryptedmedia/CDMClient.h
    Modules/encryptedmedia/MediaKeySystemClient.h
    Modules/encryptedmedia/MediaKeySystemController.h
    Modules/encryptedmedia/MediaKeySystemRequest.h
    Modules/encryptedmedia/MediaKeySystemRequestIdentifier.h

    Modules/fetch/FetchBodyConsumer.h
    Modules/fetch/FetchBodySource.h
    Modules/fetch/FetchHeaders.h
    Modules/fetch/FetchHeadersGuard.h
    Modules/fetch/FetchIdentifier.h
    Modules/fetch/FetchLoader.h
    Modules/fetch/FetchLoaderClient.h
    Modules/fetch/FetchRequestCredentials.h
    Modules/fetch/RequestPriority.h

    Modules/filesystemaccess/FileSystemDirectoryHandle.h
    Modules/filesystemaccess/FileSystemFileHandle.h
    Modules/filesystemaccess/FileSystemHandle.h
    Modules/filesystemaccess/FileSystemHandleCloseScope.h
    Modules/filesystemaccess/FileSystemHandleIdentifier.h
    Modules/filesystemaccess/FileSystemStorageConnection.h
    Modules/filesystemaccess/FileSystemSyncAccessHandle.h
    Modules/filesystemaccess/FileSystemSyncAccessHandleIdentifier.h
    Modules/filesystemaccess/StorageManagerFileSystemAccess.h
    Modules/filesystemaccess/WorkerFileSystemStorageConnection.h
    Modules/filesystemaccess/WorkerFileSystemStorageConnectionCallbackIdentifier.h

    Modules/gamepad/GamepadEffectParameters.h
    Modules/gamepad/GamepadHapticEffectType.h

    Modules/geolocation/Geolocation.h
    Modules/geolocation/GeolocationClient.h
    Modules/geolocation/GeolocationController.h
    Modules/geolocation/GeolocationCoordinates.h
    Modules/geolocation/GeolocationError.h
    Modules/geolocation/GeolocationPosition.h
    Modules/geolocation/GeolocationPositionData.h
    Modules/geolocation/GeolocationPositionError.h
    Modules/geolocation/PositionCallback.h
    Modules/geolocation/PositionErrorCallback.h
    Modules/geolocation/PositionOptions.h

    Modules/highlight/AppHighlight.h
    Modules/highlight/Highlight.h
    Modules/highlight/HighlightRegister.h
    Modules/highlight/HighlightVisibility.h

    Modules/indexeddb/IDBActiveDOMObject.h
    Modules/indexeddb/IDBDatabaseIdentifier.h
    Modules/indexeddb/IDBDatabaseNameAndVersionRequest.h
    Modules/indexeddb/IDBGetAllResult.h
    Modules/indexeddb/IDBGetResult.h
    Modules/indexeddb/IDBKey.h
    Modules/indexeddb/IDBKeyData.h
    Modules/indexeddb/IDBKeyPath.h
    Modules/indexeddb/IDBKeyRange.h
    Modules/indexeddb/IDBKeyRangeData.h
    Modules/indexeddb/IDBOpenDBRequest.h
    Modules/indexeddb/IDBRequest.h
    Modules/indexeddb/IDBTransaction.h
    Modules/indexeddb/IDBTransactionDurability.h
    Modules/indexeddb/IDBTransactionMode.h
    Modules/indexeddb/IDBValue.h
    Modules/indexeddb/IndexedDB.h

    Modules/indexeddb/client/IDBConnectionProxy.h
    Modules/indexeddb/client/IDBConnectionToServer.h
    Modules/indexeddb/client/IDBConnectionToServerDelegate.h
    Modules/indexeddb/client/TransactionOperation.h

    Modules/indexeddb/server/IDBBackingStore.h
    Modules/indexeddb/server/IDBConnectionToClient.h
    Modules/indexeddb/server/IDBConnectionToClientDelegate.h
    Modules/indexeddb/server/IDBServer.h
    Modules/indexeddb/server/IndexValueEntry.h
    Modules/indexeddb/server/IndexValueStore.h
    Modules/indexeddb/server/MemoryBackingStoreTransaction.h
    Modules/indexeddb/server/MemoryIDBBackingStore.h
    Modules/indexeddb/server/SQLiteIDBBackingStore.h
    Modules/indexeddb/server/SQLiteIDBTransaction.h
    Modules/indexeddb/server/ServerOpenDBRequest.h
    Modules/indexeddb/server/UniqueIDBDatabase.h
    Modules/indexeddb/server/UniqueIDBDatabaseConnection.h
    Modules/indexeddb/server/UniqueIDBDatabaseManager.h
    Modules/indexeddb/server/UniqueIDBDatabaseTransaction.h

    Modules/indexeddb/shared/IndexKey.h
    Modules/indexeddb/shared/IDBCursorInfo.h
    Modules/indexeddb/shared/IDBCursorRecord.h
    Modules/indexeddb/shared/IDBDatabaseInfo.h
    Modules/indexeddb/shared/IDBDatabaseNameAndVersion.h
    Modules/indexeddb/shared/IDBError.h
    Modules/indexeddb/shared/IDBGetAllRecordsData.h
    Modules/indexeddb/shared/IDBGetRecordData.h
    Modules/indexeddb/shared/IDBIndexInfo.h
    Modules/indexeddb/shared/IDBIterateCursorData.h
    Modules/indexeddb/shared/IDBObjectStoreInfo.h
    Modules/indexeddb/shared/IDBRequestData.h
    Modules/indexeddb/shared/IDBResourceIdentifier.h
    Modules/indexeddb/shared/IDBResultData.h
    Modules/indexeddb/shared/IDBTransactionInfo.h

    Modules/mediarecorder/MediaRecorderProvider.h

    Modules/mediasession/NavigatorMediaSession.h
    Modules/mediasession/MediaSession.h
    Modules/mediasession/MediaImage.h
    Modules/mediasession/MediaMetadata.h
    Modules/mediasession/MediaSessionActionDetails.h
    Modules/mediasession/MediaPositionState.h
    Modules/mediasession/MediaSessionActionHandler.h
    Modules/mediasession/MediaSessionPlaybackState.h
    Modules/mediasession/MediaSessionCoordinatorPrivate.h
    Modules/mediasession/MediaSessionCoordinatorState.h
    Modules/mediasession/MediaSessionReadyState.h
    Modules/mediasession/MediaSessionCoordinator.h
    Modules/mediasession/MediaMetadataInit.h
    Modules/mediasession/MediaSessionAction.h

    Modules/mediasource/SampleMap.h

    Modules/mediastream/DetachedRTCDataChannel.h
    Modules/mediastream/DoubleRange.h
    Modules/mediastream/LongRange.h
    Modules/mediastream/MediaAccessDenialReason.h
    Modules/mediastream/MediaDeviceHashSalts.h
    Modules/mediastream/MediaStreamTrack.h
    Modules/mediastream/MediaTrackCapabilities.h
    Modules/mediastream/MediaTrackConstraints.h
    Modules/mediastream/RTCController.h
    Modules/mediastream/RTCDataChannel.h
    Modules/mediastream/RTCDataChannelRemoteHandler.h
    Modules/mediastream/RTCDataChannelRemoteSource.h
    Modules/mediastream/RTCError.h
    Modules/mediastream/RTCErrorDetailType.h
    Modules/mediastream/RTCIceCandidateFields.h
    Modules/mediastream/RTCIceCandidateType.h
    Modules/mediastream/RTCIceComponent.h
    Modules/mediastream/RTCIceProtocol.h
    Modules/mediastream/RTCIceTcpCandidateType.h
    Modules/mediastream/RTCNetworkManager.h
    Modules/mediastream/STUNMessageParsing.h
    Modules/mediastream/UserMediaClient.h
    Modules/mediastream/UserMediaController.h
    Modules/mediastream/UserMediaRequest.h

    Modules/mediastream/libwebrtc/LibWebRTCUtils.h

    Modules/model-element/HTMLModelElement.h
    Modules/model-element/HTMLModelElementCamera.h
    Modules/model-element/ModelPlayer.h
    Modules/model-element/ModelPlayerClient.h
    Modules/model-element/ModelPlayerProvider.h

    Modules/model-element/dummy/DummyModelPlayer.h
    Modules/model-element/dummy/DummyModelPlayerProvider.h

    Modules/notifications/Notification.h
    Modules/notifications/NotificationClient.h
    Modules/notifications/NotificationController.h
    Modules/notifications/NotificationData.h
    Modules/notifications/NotificationDirection.h
    Modules/notifications/NotificationEventType.h
    Modules/notifications/NotificationPermission.h
    Modules/notifications/NotificationPermissionCallback.h
    Modules/notifications/NotificationResources.h

    Modules/permissions/MainThreadPermissionObserver.h
    Modules/permissions/MainThreadPermissionObserverIdentifier.h
    Modules/permissions/PermissionController.h
    Modules/permissions/PermissionDescriptor.h
    Modules/permissions/PermissionName.h
    Modules/permissions/PermissionObserver.h
    Modules/permissions/PermissionQuerySource.h
    Modules/permissions/Permissions.h
    Modules/permissions/PermissionState.h

    Modules/plugins/PluginReplacement.h
    Modules/plugins/YouTubePluginReplacement.h

    Modules/push-api/PushCrypto.h
    Modules/push-api/PushDatabase.h
    Modules/push-api/PushMessageCrypto.h
    Modules/push-api/PushPermissionState.h
    Modules/push-api/PushSubscriptionData.h
    Modules/push-api/PushSubscriptionIdentifier.h

    Modules/reporting/DeprecationReportBody.h
    Modules/reporting/Report.h
    Modules/reporting/ReportBody.h
    Modules/reporting/ReportingClient.h
    Modules/reporting/ReportingObserver.h
    Modules/reporting/ReportingObserverCallback.h
    Modules/reporting/ReportingScope.h
    Modules/reporting/TestReportBody.h
    Modules/reporting/ViolationReportType.h

    Modules/speech/SpeechRecognitionCaptureSource.h
    Modules/speech/SpeechRecognitionCaptureSourceImpl.h
    Modules/speech/SpeechRecognitionConnection.h
    Modules/speech/SpeechRecognitionConnectionClient.h
    Modules/speech/SpeechRecognitionConnectionClientIdentifier.h
    Modules/speech/SpeechRecognitionError.h
    Modules/speech/SpeechRecognitionRequest.h
    Modules/speech/SpeechRecognitionRequestInfo.h
    Modules/speech/SpeechRecognitionResultData.h
    Modules/speech/SpeechRecognitionUpdate.h
    Modules/speech/SpeechRecognizer.h

    Modules/storage/DummyStorageProvider.h
    Modules/storage/StorageConnection.h
    Modules/storage/StorageEstimate.h
    Modules/storage/StorageManager.h
    Modules/storage/StorageProvider.h
    Modules/storage/WorkerStorageConnection.h

    Modules/streams/ReadableStreamSink.h
    Modules/streams/ReadableStreamSource.h

    Modules/system-preview/ARKitBadgeSystemImage.h

    Modules/web-locks/WebLockIdentifier.h
    Modules/web-locks/WebLockManagerSnapshot.h
    Modules/web-locks/WebLockMode.h
    Modules/web-locks/WebLockRegistry.h

    Modules/webauthn/AttestationConveyancePreference.h
    Modules/webauthn/AuthenticationExtensionsClientInputs.h
    Modules/webauthn/AuthenticationExtensionsClientOutputs.h
    Modules/webauthn/AuthenticatorCoordinator.h
    Modules/webauthn/AuthenticatorCoordinatorClient.h
    Modules/webauthn/AuthenticatorResponseData.h
    Modules/webauthn/AuthenticatorTransport.h
    Modules/webauthn/PublicKeyCredentialCreationOptions.h
    Modules/webauthn/PublicKeyCredentialDescriptor.h
    Modules/webauthn/PublicKeyCredentialRequestOptions.h
    Modules/webauthn/PublicKeyCredentialType.h
    Modules/webauthn/UserVerificationRequirement.h
    Modules/webauthn/WebAuthenticationConstants.h
    Modules/webauthn/WebAuthenticationUtils.h

    Modules/webauthn/apdu/ApduCommand.h
    Modules/webauthn/apdu/ApduResponse.h

    Modules/webauthn/cbor/CBORReader.h
    Modules/webauthn/cbor/CBORValue.h
    Modules/webauthn/cbor/CBORWriter.h

    Modules/webauthn/fido/AuthenticatorGetInfoResponse.h
    Modules/webauthn/fido/AuthenticatorSupportedOptions.h
    Modules/webauthn/fido/DeviceRequestConverter.h
    Modules/webauthn/fido/DeviceResponseConverter.h
    Modules/webauthn/fido/FidoConstants.h
    Modules/webauthn/fido/FidoHidMessage.h
    Modules/webauthn/fido/FidoHidPacket.h
    Modules/webauthn/fido/U2fCommandConstructor.h
    Modules/webauthn/fido/U2fResponseConverter.h

    Modules/webcodecs/VideoColorSpaceInit.h
    Modules/webcodecs/WebCodecsAlphaOption.h
    Modules/webcodecs/WebCodecsAudioData.h
    Modules/webcodecs/WebCodecsAudioInternalData.h
    Modules/webcodecs/WebCodecsEncodedAudioChunk.h
    Modules/webcodecs/WebCodecsEncodedAudioChunkData.h
    Modules/webcodecs/WebCodecsEncodedAudioChunkType.h
    Modules/webcodecs/WebCodecsEncodedVideoChunk.h
    Modules/webcodecs/WebCodecsEncodedVideoChunkData.h
    Modules/webcodecs/WebCodecsEncodedVideoChunkType.h
    Modules/webcodecs/WebCodecsVideoFrame.h
    Modules/webcodecs/WebCodecsVideoFrameData.h

    Modules/webdatabase/DatabaseDetails.h
    Modules/webdatabase/DatabaseManager.h
    Modules/webdatabase/DatabaseManagerClient.h
    Modules/webdatabase/DatabaseTracker.h
    Modules/webdatabase/OriginLock.h

    Modules/websockets/ThreadableWebSocketChannel.h
    Modules/websockets/WebSocketChannelClient.h
    Modules/websockets/WebSocketChannelInspector.h
    Modules/websockets/WebSocketDeflateFramer.h
    Modules/websockets/WebSocketDeflater.h
    Modules/websockets/WebSocketExtensionDispatcher.h
    Modules/websockets/WebSocketExtensionProcessor.h
    Modules/websockets/WebSocketFrame.h
    Modules/websockets/WebSocketIdentifier.h
    Modules/websockets/WebSocketHandshake.h

    accessibility/AXGeometryManager.h
    accessibility/AXLogger.h
    accessibility/AXObjectCache.h
    accessibility/AXTextMarker.h
    accessibility/AXTextStateChangeIntent.h
    accessibility/AXTreeStore.h
    accessibility/AccessibilityListBox.h
    accessibility/AccessibilityMenuListPopup.h
    accessibility/AccessibilityMockObject.h
    accessibility/AccessibilityNodeObject.h
    accessibility/AccessibilityObject.h
    accessibility/AccessibilityObjectInterface.h
    accessibility/AccessibilityRenderObject.h
    accessibility/AccessibilityScrollView.h
    accessibility/ForcedAccessibilityValue.h

    accessibility/isolatedtree/AXIsolatedObject.h
    accessibility/isolatedtree/AXIsolatedTree.h

    animation/AcceleratedTimeline.h
    animation/AnimationFrameRatePreset.h
    animation/CSSPropertyBlendingClient.h
    animation/CustomAnimationOptions.h
    animation/CompositeOperation.h
    animation/DocumentTimelinesController.h
    animation/EffectTiming.h
    animation/FillMode.h
    animation/FrameRateAligner.h
    animation/GetAnimationsOptions.h
    animation/IterationCompositeOperation.h
    animation/KeyframeAnimationOptions.h
    animation/KeyframeEffectOptions.h
    animation/PlaybackDirection.h
    animation/WebAnimationTypes.h

    bindings/IDLTypes.h

    bindings/js/BufferSource.h
    bindings/js/CachedScriptFetcher.h
    bindings/js/CommonVM.h
    bindings/js/DOMPromiseProxy.h
    bindings/js/DOMWrapperWorld.h
    bindings/js/ExceptionDetails.h
    bindings/js/GCController.h
    bindings/js/IDBBindingUtilities.h
    bindings/js/JSCSSRuleCustom.h
    bindings/js/JSCSSStyleDeclarationCustom.h
    bindings/js/JSDOMBinding.h
    bindings/js/JSDOMBindingSecurity.h
    bindings/js/JSDOMCastThisValue.h
    bindings/js/JSDOMConvert.h
    bindings/js/JSDOMConvertAny.h
    bindings/js/JSDOMConvertBase.h
    bindings/js/JSDOMConvertBoolean.h
    bindings/js/JSDOMConvertBufferSource.h
    bindings/js/JSDOMConvertCallbacks.h
    bindings/js/JSDOMConvertDate.h
    bindings/js/JSDOMConvertDictionary.h
    bindings/js/JSDOMConvertEnumeration.h
    bindings/js/JSDOMConvertEventListener.h
    bindings/js/JSDOMConvertIndexedDB.h
    bindings/js/JSDOMConvertInterface.h
    bindings/js/JSDOMConvertJSON.h
    bindings/js/JSDOMConvertNull.h
    bindings/js/JSDOMConvertNullable.h
    bindings/js/JSDOMConvertNumbers.h
    bindings/js/JSDOMConvertObject.h
    bindings/js/JSDOMConvertRecord.h
    bindings/js/JSDOMConvertSequences.h
    bindings/js/JSDOMConvertSerializedScriptValue.h
    bindings/js/JSDOMConvertStrings.h
    bindings/js/JSDOMConvertUnion.h
    bindings/js/JSDOMConvertWebGL.h
    bindings/js/JSDOMConvertXPathNSResolver.h
    bindings/js/JSDOMExceptionHandling.h
    bindings/js/JSDOMGlobalObject.h
    bindings/js/JSDOMGuardedObject.h
    bindings/js/JSDOMMicrotask.h
    bindings/js/JSDOMOperation.h
    bindings/js/JSDOMPromiseDeferred.h
    bindings/js/JSDOMPromiseDeferredForward.h
    bindings/js/JSDOMWindowBase.h
    bindings/js/JSDOMWrapper.h
    bindings/js/JSDOMWrapperCache.h
    bindings/js/JSDocumentCustom.h
    bindings/js/JSElementCustom.h
    bindings/js/JSEventCustom.h
    bindings/js/JSEventTargetCustom.h
    bindings/js/JSExecState.h
    bindings/js/JSMediaListCustom.h
    bindings/js/JSNodeCustom.h
    bindings/js/JSNodeCustomInlines.h
    bindings/js/JSNodeListCustom.h
    bindings/js/JSPluginElementFunctions.h
    bindings/js/JSShadowRealmGlobalScopeBase.h
    bindings/js/JSStyleSheetCustom.h
    bindings/js/JSValueInWrappedObject.h
    bindings/js/JSWindowProxy.h
    bindings/js/ReadableStreamDefaultController.h
    bindings/js/RunJavaScriptParameters.h
    bindings/js/ScriptCachedFrameData.h
    bindings/js/ScriptController.h
    bindings/js/ScriptWrappable.h
    bindings/js/ScriptWrappableInlines.h
    bindings/js/SerializedScriptValue.h
    bindings/js/StringAdaptors.h
    bindings/js/WebAssemblyCachedScriptSourceProvider.h
    bindings/js/WebAssemblyScriptSourceCode.h
    bindings/js/WebCoreJITOperations.h
    bindings/js/WebCoreOpaqueRoot.h
    bindings/js/WebCoreOpaqueRootInlines.h
    bindings/js/WebCoreTypedArrayController.h
    bindings/js/WindowProxy.h
    bindings/js/WorkerScriptFetcher.h

    bridge/Bridge.h
    bridge/IdentifierRep.h
    bridge/runtime_method.h
    bridge/runtime_object.h
    bridge/runtime_root.h

    bridge/jsc/BridgeJSC.h

    contentextensions/CombinedFiltersAlphabet.h
    contentextensions/CombinedURLFilters.h
    contentextensions/CompiledContentExtension.h
    contentextensions/ContentExtension.h
    contentextensions/ContentExtensionActions.h
    contentextensions/ContentExtensionCompiler.h
    contentextensions/ContentExtensionError.h
    contentextensions/ContentExtensionParser.h
    contentextensions/ContentExtensionRule.h
    contentextensions/ContentExtensionStringSerialization.h
    contentextensions/ContentExtensionsBackend.h
    contentextensions/ContentExtensionsDebugging.h
    contentextensions/ContentRuleListResults.h
    contentextensions/DFA.h
    contentextensions/DFABytecode.h
    contentextensions/DFABytecodeCompiler.h
    contentextensions/DFABytecodeInterpreter.h
    contentextensions/DFACombiner.h
    contentextensions/DFANode.h
    contentextensions/ImmutableNFA.h
    contentextensions/ImmutableNFANodeBuilder.h
    contentextensions/MutableRange.h
    contentextensions/MutableRangeList.h
    contentextensions/NFA.h
    contentextensions/NFANode.h
    contentextensions/NFAToDFA.h
    contentextensions/SerializedNFA.h
    contentextensions/Term.h
    contentextensions/URLFilterParser.h

    crypto/SerializedCryptoKeyWrap.h

    css/CSSConditionRule.h
    css/CSSCounterStyle.h
    css/CSSCounterStyleDescriptors.h
    css/CSSCounterStyleRegistry.h
    css/CSSCounterStyleRule.h
    css/CSSCounterValue.h
    css/CSSCustomPropertyValue.h
    css/CSSFontFaceRule.h
    css/CSSFontPaletteValuesRule.h
    css/CSSGridIntegerRepeatValue.h
    css/CSSGroupingRule.h
    css/CSSImportRule.h
    css/CSSLineBoxContainValue.h
    css/CSSMediaRule.h
    css/CSSPageRule.h
    css/CSSPrimitiveValue.h
    css/CSSPrimitiveValueMappings.h
    css/CSSProperty.h
    css/CSSQuadValue.h
    css/CSSRectValue.h
    css/CSSRegisteredCustomProperty.h
    css/CSSRule.h
    css/CSSRuleList.h
    css/CSSSelector.h
    css/CSSSelectorList.h
    css/CSSStyleDeclaration.h
    css/CSSStyleRule.h
    css/CSSStyleSheet.h
    css/CSSSubgridValue.h
    css/CSSToLengthConversionData.h
    css/CSSTransformListValue.h
    css/CSSUnits.h
    css/CSSUnknownRule.h
    css/CSSValue.h
    css/CSSValueList.h
    css/CSSVariableData.h
    css/CSSVariableReferenceValue.h
    css/ContainerQuery.h
    css/Counter.h
    css/DeprecatedCSSOMCounter.h
    css/DeprecatedCSSOMPrimitiveValue.h
    css/DeprecatedCSSOMRGBColor.h
    css/DeprecatedCSSOMRect.h
    css/DeprecatedCSSOMValue.h
    css/DeprecatedCSSOMValueList.h
    css/FontLoadTimingOverride.h
    css/ImmutableStyleProperties.h
    css/MediaList.h
    css/MediaQueryParserContext.h
    css/MutableStyleProperties.h
    css/Quad.h
    css/Rect.h
    css/RectBase.h
    css/ShorthandSerializer.h
    css/StyleColor.h
    css/StyleProperties.h
    css/StylePropertiesInlines.h
    css/StyleRule.h
    css/StyleRuleType.h
    css/StyleSheet.h
    css/StyleSheetContents.h
    css/StyleSheetList.h

    css/calc/CSSCalcValue.h

    css/parser/CSSParser.h
    css/parser/CSSParserContext.h
    css/parser/CSSParserEnum.h
    css/parser/CSSParserMode.h
    css/parser/CSSParserSelector.h
    css/parser/CSSParserToken.h
    css/parser/CSSParserTokenRange.h
    css/parser/CSSSelectorParser.h

    css/query/GenericMediaQueryTypes.h
    css/query/MediaQuery.h

    cssjit/CompiledSelector.h

    display/DisplayTree.h
    display/DisplayTreeBuilder.h
    display/DisplayView.h

    display/compositing/DisplayLayerController.h

    display/css/DisplayBox.h
    display/css/DisplayCSSPainter.h
    display/css/DisplayContainerBox.h
    display/css/DisplayImageBox.h
    display/css/DisplayReplacedBox.h
    display/css/DisplayStyle.h

    dom/AbortSignal.h
    dom/AbstractRange.h
    dom/ActiveDOMCallback.h
    dom/ActiveDOMObject.h
    dom/AddEventListenerOptions.h
    dom/Attr.h
    dom/Attribute.h
    dom/BoundaryPoint.h
    dom/BroadcastChannel.h
    dom/BroadcastChannelIdentifier.h
    dom/BroadcastChannelRegistry.h
    dom/CDATASection.h
    dom/CallbackResult.h
    dom/CharacterData.h
    dom/CollectionIndexCache.h
    dom/CollectionIndexCacheInlines.h
    dom/Comment.h
    dom/ContainerNode.h
    dom/ContextDestructionObserver.h
    dom/CrossOriginMode.h
    dom/CustomElementReactionQueue.h
    dom/DOMException.h
    dom/DOMHighResTimeStamp.h
    dom/DOMImplementation.h
    dom/DOMPasteAccess.h
    dom/DOMRect.h
    dom/DOMRectInit.h
    dom/DOMRectList.h
    dom/DOMRectReadOnly.h
    dom/DataTransfer.h
    dom/DeviceOrientationClient.h
    dom/DeviceOrientationData.h
    dom/DeviceOrientationOrMotionPermissionState.h
    dom/Document.h
    dom/DocumentEventTiming.h
    dom/DocumentFontLoader.h
    dom/DocumentFragment.h
    dom/DocumentFullscreen.h
    dom/DocumentInlines.h
    dom/DocumentMarker.h
    dom/DocumentMarkerController.h
    dom/DocumentStorageAccess.h
    dom/DocumentType.h
    dom/Element.h
    dom/ElementAncestorIterator.h
    dom/ElementAncestorIteratorInlines.h
    dom/ElementAnimationContext.h
    dom/ElementChildIterator.h
    dom/ElementChildIteratorInlines.h
    dom/ElementContext.h
    dom/ElementData.h
    dom/ElementIdentifier.h
    dom/ElementInlines.h
    dom/ElementIterator.h
    dom/ElementIteratorAssertions.h
    dom/ElementIteratorInlines.h
    dom/ElementTraversal.h
    dom/EpochTimeStamp.h
    dom/Event.h
    dom/EventInit.h
    dom/EventListener.h
    dom/EventListenerMap.h
    dom/EventListenerOptions.h
    dom/EventLoop.h
    dom/EventModifierInit.h
    dom/EventNames.h
    dom/EventOptions.h
    dom/EventTarget.h
    dom/EventTargetConcrete.h
    dom/Exception.h
    dom/ExceptionCode.h
    dom/ExceptionData.h
    dom/ExceptionOr.h
    dom/FocusOptions.h
    dom/FragmentDirectiveParser.h
    dom/FragmentDirectiveRangeFinder.h
    dom/FragmentScriptingPermission.h
    dom/FullscreenManager.h
    dom/GCReachableRef.h
    dom/ImageOverlay.h
    dom/InlineStyleSheetOwner.h
    dom/KeyboardEvent.h
    dom/LiveNodeList.h
    dom/LiveNodeListInlines.h
    dom/LoadableScript.h
    dom/LoadableScriptError.h
    dom/MessagePort.h
    dom/MessagePortIdentifier.h
    dom/MouseEvent.h
    dom/MouseEventInit.h
    dom/MouseRelatedEvent.h
    dom/MutationEvent.h
    dom/MutationObserver.h
    dom/NameNodeList.h
    dom/NamedNodeMap.h
    dom/NativeNodeFilter.h
    dom/Node.h
    dom/NodeConstants.h
    dom/NodeFilter.h
    dom/NodeFilterCondition.h
    dom/NodeIterator.h
    dom/NodeList.h
    dom/NodeRenderStyle.h
    dom/NodeTraversal.h
    dom/OverflowEvent.h
    dom/PointerEvent.h
    dom/PointerEventTypeNames.h
    dom/PopoverData.h
    dom/PortIdentifier.h
    dom/Position.h
    dom/ProcessingInstruction.h
    dom/ProgressEvent.h
    dom/QualifiedName.h
    dom/RadioButtonGroups.h
    dom/Range.h
    dom/RangeBoundaryPoint.h
    dom/RegisteredEventListener.h
    dom/RenderedDocumentMarker.h
    dom/ScriptDisallowedScope.h
    dom/ScriptElement.h
    dom/ScriptElementCachedScriptFetcher.h
    dom/ScriptExecutionContext.h
    dom/ScriptType.h
    dom/SecurityContext.h
    dom/SecurityPolicyViolationEvent.h
    dom/SecurityPolicyViolationEventDisposition.h
    dom/SelectionRestorationMode.h
    dom/ShadowRoot.h
    dom/ShadowRootInit.h
    dom/ShadowRootMode.h
    dom/SimpleRange.h
    dom/SimulatedClickOptions.h
    dom/SlotAssignmentMode.h
    dom/SpaceSplitString.h
    dom/StaticRange.h
    dom/StyledElement.h
    dom/TaskSource.h
    dom/Text.h
    dom/TextEvent.h
    dom/TextEventInputType.h
    dom/ToggleEvent.h
    dom/Touch.h
    dom/Traversal.h
    dom/TreeScope.h
    dom/TreeScopeOrderedMap.h
    dom/TreeWalker.h
    dom/TypedElementDescendantIterator.h
    dom/TypedElementDescendantIteratorInlines.h
    dom/UIEvent.h
    dom/UIEventInit.h
    dom/UIEventWithKeyState.h
    dom/UserActionElementSet.h
    dom/UserGestureIndicator.h
    dom/UserTypingGestureIndicator.h
    dom/ValidityStateFlags.h
    dom/ViewportArguments.h
    dom/VisibilityChangeClient.h
    dom/VisibilityState.h
    dom/WheelEvent.h
    dom/XMLDocument.h

    dom/messageports/MessagePortChannel.h
    dom/messageports/MessagePortChannelProvider.h
    dom/messageports/MessagePortChannelRegistry.h
    dom/messageports/MessageWithMessagePorts.h
    dom/messageports/TransferredMessagePort.h

    editing/CharacterRange.h
    editing/ClipboardAccessPolicy.h
    editing/CompositionHighlight.h
    editing/CompositionUnderline.h
    editing/DictationAlternative.h
    editing/DictationContext.h
    editing/DictionaryPopupInfo.h
    editing/EditAction.h
    editing/EditableLinkBehavior.h
    editing/Editing.h
    editing/EditingBehavior.h
    editing/EditingBehaviorType.h
    editing/EditingBoundary.h
    editing/EditingStyle.h
    editing/Editor.h
    editing/EditorDeleteAction.h
    editing/EditorInsertAction.h
    editing/FindOptions.h
    editing/FontAttributeChanges.h
    editing/FontAttributes.h
    editing/FontShadow.h
    editing/FrameSelection.h
    editing/HTMLInterchange.h
    editing/InlineRunAndOffset.h
    editing/SelectionGeometryGatherer.h
    editing/SerializedAttachmentData.h
    editing/SmartReplace.h
    editing/SpellChecker.h
    editing/TextAffinity.h
    editing/TextGranularity.h
    editing/TextIterator.h
    editing/TextIteratorBehavior.h
    editing/TextManipulationController.h
    editing/TextManipulationControllerExclusionRule.h
    editing/TextManipulationControllerManipulationFailure.h
    editing/TextManipulationItem.h
    editing/TextManipulationItemIdentifier.h
    editing/TextManipulationToken.h
    editing/UndoStep.h
    editing/VisiblePosition.h
    editing/VisibleSelection.h
    editing/VisibleUnits.h
    editing/WebContentReader.h
    editing/WritingDirection.h
    editing/markup.h

    fileapi/AsyncFileStream.h
    fileapi/Blob.h
    fileapi/BlobPropertyBag.h
    fileapi/BlobURL.h
    fileapi/EndingType.h
    fileapi/File.h
    fileapi/FileList.h
    fileapi/FileReaderLoader.h
    fileapi/FileReaderLoaderClient.h
    fileapi/NetworkSendQueue.h
    fileapi/URLKeepingBlobAlive.h

    history/BackForwardCache.h
    history/BackForwardClient.h
    history/BackForwardController.h
    history/BackForwardItemIdentifier.h
    history/CachedFrame.h
    history/CachedFramePlatformData.h
    history/CachedPage.h
    history/HistoryItem.h

    html/Autocapitalize.h
    html/AutocapitalizeTypes.h
    html/Autofill.h
    html/CachedHTMLCollection.h
    html/CachedHTMLCollectionInlines.h
    html/CanvasBase.h
    html/CanvasNoiseInjection.h
    html/CanvasObserver.h
    html/CollectionTraversal.h
    html/CollectionTraversalInlines.h
    html/CollectionType.h
    html/CustomElementFormValue.h
    html/DOMFormData.h
    html/DOMTokenList.h
    html/DataListSuggestionInformation.h
    html/EnterKeyHint.h
    html/FeaturePolicy.h
    html/FormAssociatedCustomElement.h
    html/FormAssociatedElement.h
    html/FormController.h
    html/FormListedElement.h
    html/HTMLAnchorElement.h
    html/HTMLAnchorElementInlines.h
    html/HTMLAreaElement.h
    html/HTMLArticleElement.h
    html/HTMLAttachmentElement.h
    html/HTMLAudioElement.h
    html/HTMLBRElement.h
    html/HTMLBaseElement.h
    html/HTMLBodyElement.h
    html/HTMLButtonElement.h
    html/HTMLCanvasElement.h
    html/HTMLCollection.h
    html/HTMLCollectionInlines.h
    html/HTMLDListElement.h
    html/HTMLDataListElement.h
    html/HTMLDirectoryElement.h
    html/HTMLDivElement.h
    html/HTMLDocument.h
    html/HTMLElement.h
    html/HTMLEmbedElement.h
    html/HTMLFieldSetElement.h
    html/HTMLFontElement.h
    html/HTMLFormControlElement.h
    html/HTMLFormElement.h
    html/HTMLFrameElement.h
    html/HTMLFrameElementBase.h
    html/HTMLFrameOwnerElement.h
    html/HTMLFrameSetElement.h
    html/HTMLHRElement.h
    html/HTMLHeadElement.h
    html/HTMLHeadingElement.h
    html/HTMLHtmlElement.h
    html/HTMLIFrameElement.h
    html/HTMLImageElement.h
    html/HTMLImageLoader.h
    html/HTMLInputElement.h
    html/HTMLLIElement.h
    html/HTMLLabelElement.h
    html/HTMLLegendElement.h
    html/HTMLLinkElement.h
    html/HTMLMapElement.h
    html/HTMLMarqueeElement.h
    html/HTMLMaybeFormAssociatedCustomElement.h
    html/HTMLMediaElement.h
    html/HTMLMediaElementEnums.h
    html/HTMLMediaElementIdentifier.h
    html/HTMLMenuElement.h
    html/HTMLMetaElement.h
    html/HTMLModElement.h
    html/HTMLOListElement.h
    html/HTMLObjectElement.h
    html/HTMLOptGroupElement.h
    html/HTMLOptionElement.h
    html/HTMLOptionsCollection.h
    html/HTMLOptionsCollectionInlines.h
    html/HTMLParagraphElement.h
    html/HTMLParamElement.h
    html/HTMLPlugInElement.h
    html/HTMLPlugInImageElement.h
    html/HTMLPreElement.h
    html/HTMLQuoteElement.h
    html/HTMLScriptElement.h
    html/HTMLSelectElement.h
    html/HTMLStyleElement.h
    html/HTMLSummaryElement.h
    html/HTMLTableCaptionElement.h
    html/HTMLTableCellElement.h
    html/HTMLTableColElement.h
    html/HTMLTableElement.h
    html/HTMLTablePartElement.h
    html/HTMLTableRowElement.h
    html/HTMLTableSectionElement.h
    html/HTMLTextAreaElement.h
    html/HTMLTextFormControlElement.h
    html/HTMLTitleElement.h
    html/HTMLUListElement.h
    html/HTMLUnknownElement.h
    html/HTMLVideoElement.h
    html/ImageBitmap.h
    html/ImageBitmapBacking.h
    html/ImageData.h
    html/ImageDocument.h
    html/InputMode.h
    html/LinkIconCollector.h
    html/LinkIconType.h
    html/LinkRelAttribute.h
    html/MediaControllerInterface.h
    html/MediaDocument.h
    html/MediaElementSession.h
    html/MediaError.h
    html/PDFDocument.h
    html/PluginDocument.h
    html/StepRange.h
    html/TimeRanges.h
    html/TypeAhead.h
    html/URLDecomposition.h
    html/URLRegistry.h
    html/ValidatedFormListedElement.h
    html/ValidationMessage.h
    html/ValidityState.h
    html/VideoFrameRequestCallback.h
    html/VoidCallback.h

    html/canvas/ImageBitmapRenderingContextSettings.h
    html/canvas/WebGLAny.h
    html/canvas/WebGLContextAttributes.h
    html/canvas/WebGLExtensionAny.h
    html/canvas/WebGLExtensionAnyInlines.h
    html/canvas/WebGLStateTracker.h

    html/forms/FileIconLoader.h

    html/parser/HTMLDocumentParserFastPath.h
    html/parser/HTMLParserIdioms.h
    html/parser/HTMLParserScriptingFlagPolicy.h
    html/parser/ParsingUtilities.h

    html/track/AudioTrack.h
    html/track/AudioTrackClient.h
    html/track/TextTrack.h
    html/track/TextTrackClient.h
    html/track/TextTrackCue.h
    html/track/TrackBase.h
    html/track/VTTCue.h
    html/track/VideoTrack.h
    html/track/VideoTrackClient.h

    inspector/InspectorClient.h
    inspector/InspectorController.h
    inspector/InspectorDebuggableType.h
    inspector/InspectorFrontendAPIDispatcher.h
    inspector/InspectorFrontendClient.h
    inspector/InspectorFrontendClientLocal.h
    inspector/InspectorFrontendHost.h
    inspector/InspectorInstrumentationPublic.h
    inspector/InspectorInstrumentationWebKit.h
    inspector/InspectorOverlay.h
    inspector/InspectorOverlayLabel.h
    inspector/InspectorWebAgentBase.h
    inspector/PageDebugger.h

    inspector/agents/InspectorPageAgent.h

    layout/FormattingState.h
    layout/LayoutState.h
    layout/LayoutUnits.h
    layout/MarginTypes.h

    layout/floats/FloatingState.h

    layout/formattingContexts/FormattingConstraints.h
    layout/formattingContexts/FormattingContext.h

    layout/formattingContexts/flex/FlexFormattingConstraints.h
    layout/formattingContexts/flex/FlexFormattingState.h
    layout/formattingContexts/flex/FlexLayout.h
    layout/formattingContexts/flex/LogicalFlexItem.h

    layout/formattingContexts/inline/InlineItem.h
    layout/formattingContexts/inline/InlineLine.h
    layout/formattingContexts/inline/InlineLineTypes.h
    layout/formattingContexts/inline/InlineRect.h
    layout/formattingContexts/inline/InlineTextItem.h

    layout/formattingContexts/inline/display/InlineDisplayContent.h
    layout/formattingContexts/inline/display/InlineDisplayBox.h
    layout/formattingContexts/inline/display/InlineDisplayLine.h

    layout/formattingContexts/inline/text/TextUtil.h

    layout/integration/LayoutIntegrationBoxTree.h

    layout/integration/flex/LayoutIntegrationFlexLayout.h

    layout/integration/inline/InlineIteratorBox.h
    layout/integration/inline/InlineIteratorBoxLegacyPath.h
    layout/integration/inline/InlineIteratorBoxModernPath.h
    layout/integration/inline/InlineIteratorLineBox.h
    layout/integration/inline/InlineIteratorLineBoxLegacyPath.h
    layout/integration/inline/InlineIteratorLineBoxModernPath.h
    layout/integration/inline/InlineIteratorLogicalOrderTraversal.h
    layout/integration/inline/InlineIteratorTextBox.h
    layout/integration/inline/LayoutIntegrationInlineContent.h

    layout/layouttree/LayoutBox.h
    layout/layouttree/LayoutElementBox.h
    layout/layouttree/LayoutInitialContainingBlock.h
    layout/layouttree/LayoutInlineTextBox.h

    loader/AttributionSecondsUntilSendData.h
    loader/AttributionTimeToSendData.h
    loader/AttributionTriggerData.h
    loader/COEPInheritenceViolationReportBody.h
    loader/CORPViolationReportBody.h
    loader/CanvasActivityRecord.h
    loader/ContentFilterClient.h
    loader/CookieChangeListener.h
    loader/CookieJar.h
    loader/CrossOriginAccessControl.h
    loader/CrossOriginEmbedderPolicy.h
    loader/CrossOriginOpenerPolicy.h
    loader/CrossOriginPreflightResultCache.h
    loader/CustomHeaderFields.h
    loader/DocumentLoadTiming.h
    loader/DocumentLoader.h
    loader/DocumentWriter.h
    loader/EmptyClients.h
    loader/EmptyFrameLoaderClient.h
    loader/EphemeralNonce.h
    loader/FetchOptions.h
    loader/FetchOptionsCache.h
    loader/FetchOptionsCredentials.h
    loader/FetchOptionsDestination.h
    loader/FetchOptionsMode.h
    loader/FetchOptionsRedirect.h
    loader/FontLoadRequest.h
    loader/FormState.h
    loader/FormSubmission.h
    loader/FrameLoadRequest.h
    loader/FrameLoader.h
    loader/FrameLoaderClient.h
    loader/FrameLoaderStateMachine.h
    loader/FrameLoaderTypes.h
    loader/FrameNetworkingContext.h
    loader/HTTPHeaderField.h
    loader/HistoryController.h
    loader/ImageLoader.h
    loader/LinkHeader.h
    loader/LinkLoader.h
    loader/LinkLoaderClient.h
    loader/LoadSchedulingMode.h
    loader/LoaderMalloc.h
    loader/LoaderStrategy.h
    loader/LocalFrameLoaderClient.h
    loader/MediaResourceLoader.h
    loader/MixedContentChecker.h
    loader/NavigationAction.h
    loader/NavigationRequester.h
    loader/NetscapePlugInStreamLoader.h
    loader/PCMSites.h
    loader/PCMTokens.h
    loader/PingLoader.h
    loader/PolicyChecker.h
    loader/PolicyContainer.h
    loader/PrivateClickMeasurement.h
    loader/ProgressTracker.h
    loader/ProgressTrackerClient.h
    loader/ResourceCryptographicDigest.h
    loader/ResourceLoadInfo.h
    loader/ResourceLoadNotifier.h
    loader/ResourceLoadObserver.h
    loader/ResourceLoadStatistics.h
    loader/ResourceLoadTiming.h
    loader/ResourceLoader.h
    loader/ResourceLoaderIdentifier.h
    loader/ResourceLoaderOptions.h
    loader/ResourceLoaderTypes.h
    loader/ResourceTimingInformation.h
    loader/ShouldTreatAsContinuingLoad.h
    loader/SubframeLoader.h
    loader/SubresourceLoader.h
    loader/SubstituteData.h
    loader/SubstituteResource.h
    loader/TextResourceDecoder.h
    loader/ThreadableLoader.h
    loader/ThreadableLoaderClient.h

    loader/appcache/ApplicationCache.h
    loader/appcache/ApplicationCacheHost.h
    loader/appcache/ApplicationCacheStorage.h

    loader/archive/Archive.h
    loader/archive/ArchiveResource.h

    loader/archive/mhtml/MHTMLArchive.h

    loader/cache/AllowedFonts.h
    loader/cache/CachedFontLoadRequest.h
    loader/cache/CachePolicy.h
    loader/cache/CachedImage.h
    loader/cache/CachedImageClient.h
    loader/cache/CachedRawResourceClient.h
    loader/cache/CachedResource.h
    loader/cache/CachedResourceClient.h
    loader/cache/CachedResourceHandle.h
    loader/cache/CachedResourceLoader.h
    loader/cache/CachedResourceRequest.h
    loader/cache/CachedStyleSheetClient.h
    loader/cache/KeepaliveRequestTracker.h
    loader/cache/MemoryCache.h

    page/ActivityState.h
    page/ActivityStateChangeObserver.h
    page/AdjustViewSizeOrNot.h
    page/AlternativeTextClient.h
    page/AttachmentElementClient.h
    page/AutoplayEvent.h
    page/Base64Utilities.h
    page/CacheStorageProvider.h
    page/CaptionUserPreferences.h
    page/Chrome.h
    page/ChromeClient.h
    page/ClientOrigin.h
    page/ContextMenuClient.h
    page/ContextMenuContext.h
    page/ContextMenuController.h
    page/ContextMenuProvider.h
    page/CrossSiteNavigationDataTransfer.h
    page/DOMSelection.h
    page/DOMTimer.h
    page/DOMWindow.h
    page/DOMWindowExtension.h
    page/DatabaseProvider.h
    page/DebugOverlayRegions.h
    page/DebugPageOverlays.h
    page/DeprecatedGlobalSettings.h
    page/DeviceClient.h
    page/DiagnosticLoggingClient.h
    page/DiagnosticLoggingDomain.h
    page/DiagnosticLoggingKeys.h
    page/DiagnosticLoggingResultType.h
    page/DisabledAdaptations.h
    page/DragActions.h
    page/DragClient.h
    page/DragController.h
    page/DummySpeechRecognitionProvider.h
    page/EditorClient.h
    page/EventHandler.h
    page/FocusController.h
    page/FocusDirection.h
    page/Frame.h
    page/FrameDestructionObserver.h
    page/FrameDestructionObserverInlines.h
    page/FrameFlattening.h
    page/FrameIdentifier.h
    page/FrameSnapshotting.h
    page/FrameTree.h
    page/FrameView.h
    page/GlobalFrameIdentifier.h
    page/GlobalWindowIdentifier.h
    page/ImageAnalysisQueue.h
    page/InteractionRegion.h
    page/LayoutMilestone.h
    page/LinkDecorationFilteringData.h
    page/LocalDOMWindow.h
    page/LocalDOMWindowProperty.h
    page/LocalFrame.h
    page/LocalFrameView.h
    page/LocalFrameViewLayoutContext.h
    page/MediaCanStartListener.h
    page/MediaControlsContextMenuItem.h
    page/MediaProducer.h
    page/MemoryRelease.h
    page/ModalContainerTypes.h
    page/NavigatorIsLoggedIn.h
    page/OriginAccessPatterns.h
    page/Page.h
    page/PageColorSampler.h
    page/PageConfiguration.h
    page/PageConsoleClient.h
    page/PageGroup.h
    page/PageInlines.h
    page/PageOverlay.h
    page/PageOverlayController.h
    page/PagePasteboardContext.h
    page/PartitionedSecurityOrigin.h
    page/PerformanceLogging.h
    page/PerformanceLoggingClient.h
    page/PointerCaptureController.h
    page/PointerCharacteristics.h
    page/PointerLockController.h
    page/PrewarmInformation.h
    page/PrintContext.h
    page/ProcessWarming.h
    page/Quirks.h
    page/ReducedResolutionSeconds.h
    page/RemoteDOMWindow.h
    page/RemoteFrame.h
    page/RemoteFrameClient.h
    page/RemoteFrameView.h
    page/RenderingUpdateScheduler.h
    page/ScreenOrientationLockType.h
    page/ScreenOrientationType.h
    page/ScrollBehavior.h
    page/ScrollIntoViewOptions.h
    page/ScrollLogicalPosition.h
    page/ScrollOptions.h
    page/ScrollToOptions.h
    page/SecurityOrigin.h
    page/SecurityOriginData.h
    page/SecurityOriginHash.h
    page/SecurityPolicy.h
    page/SettingsBase.h
    page/ShadowRealmGlobalScope.h
    page/ShareData.h
    page/SocketProvider.h
    page/SpeechRecognitionProvider.h
    page/SpeechSynthesisClient.h
    page/StorageBlockingPolicy.h
    page/StructuredSerializeOptions.h
    page/TextDirectionSubmenuInclusionBehavior.h
    page/TextIndicator.h
    page/TranslationContextMenuInfo.h
    page/UserContentController.h
    page/UserContentProvider.h
    page/UserContentTypes.h
    page/UserContentURLPattern.h
    page/UserInterfaceDirectionPolicy.h
    page/UserMediaRequestIdentifier.h
    page/UserMessageHandler.h
    page/UserMessageHandlerDescriptor.h
    page/UserMessageHandlersNamespace.h
    page/UserScript.h
    page/UserScriptTypes.h
    page/UserStyleSheet.h
    page/UserStyleSheetTypes.h
    page/ValidationMessageClient.h
    page/ViewportConfiguration.h
    page/VisitedLinkStore.h
    page/WebCoreKeyboardUIMode.h
    page/WebKitNamespace.h
    page/WheelEventDeltaFilter.h
    page/WheelEventTestMonitor.h
    page/WindowFeatures.h
    page/WindowOrWorkerGlobalScope.h
    page/WindowPostMessageOptions.h
    page/WorkerClient.h

    page/csp/CSPViolationReportBody.h
    page/csp/ContentSecurityPolicy.h
    page/csp/ContentSecurityPolicyClient.h
    page/csp/ContentSecurityPolicyHash.h
    page/csp/ContentSecurityPolicyResponseHeaders.h

    page/scrolling/AsyncScrollingCoordinator.h
    page/scrolling/ScrollAnchoringController.h
    page/scrolling/ScrollSnapOffsetsInfo.h
    page/scrolling/ScrollingConstraints.h
    page/scrolling/ScrollingCoordinator.h
    page/scrolling/ScrollingCoordinatorTypes.h
    page/scrolling/ScrollingStateFixedNode.h
    page/scrolling/ScrollingStateFrameHostingNode.h
    page/scrolling/ScrollingStateFrameScrollingNode.h
    page/scrolling/ScrollingStateNode.h
    page/scrolling/ScrollingStateOverflowScrollingNode.h
    page/scrolling/ScrollingStatePositionedNode.h
    page/scrolling/ScrollingStateScrollingNode.h
    page/scrolling/ScrollingStateStickyNode.h
    page/scrolling/ScrollingStateTree.h
    page/scrolling/ScrollingThread.h
    page/scrolling/ScrollingTree.h
    page/scrolling/ScrollingTreeFrameHostingNode.h
    page/scrolling/ScrollingTreeFrameScrollingNode.h
    page/scrolling/ScrollingTreeGestureState.h
    page/scrolling/ScrollingTreeLatchingController.h
    page/scrolling/ScrollingTreeNode.h
    page/scrolling/ScrollingTreeOverflowScrollingNode.h
    page/scrolling/ScrollingTreeScrollingNode.h
    page/scrolling/ScrollingTreeScrollingNodeDelegate.h
    page/scrolling/ScrollingTreeStickyNode.h
    page/scrolling/ThreadedScrollingTree.h

    platform/AbortableTaskQueue.h
    platform/AudioSampleFormat.h
    platform/CaretAnimator.h
    platform/CPUMonitor.h
    platform/ColorChooser.h
    platform/ColorChooserClient.h
    platform/CommonAtomStrings.h
    platform/ContentFilterUnblockHandler.h
    platform/ContentType.h
    platform/ContextMenu.h
    platform/ContextMenuItem.h
    platform/ControlStates.h
    platform/Cookie.h
    platform/CountedUserActivity.h
    platform/Cursor.h
    platform/DataListSuggestionPicker.h
    platform/DataListSuggestionsClient.h
    platform/DataOwnerType.h
    platform/DateComponents.h
    platform/DateTimeChooser.h
    platform/DateTimeChooserClient.h
    platform/DateTimeChooserParameters.h
    platform/Decimal.h
    platform/DeferrableTask.h
    platform/DragData.h
    platform/DragImage.h
    platform/DragItem.h
    platform/EventTrackingRegions.h
    platform/FileChooser.h
    platform/FileHandle.h
    platform/FileMonitor.h
    platform/FileStreamClient.h
    platform/FloatConversion.h
    platform/GraphicsClient.h
    platform/HostWindow.h
    platform/KeyboardScrollingAnimator.h
    platform/KeyboardScroll.h
    platform/KeyedCoding.h
    platform/KeypressCommand.h
    platform/LayoutUnit.h
    platform/LegacySchemeRegistry.h
    platform/Length.h
    platform/LengthBox.h
    platform/LengthFunctions.h
    platform/LengthPoint.h
    platform/LengthSize.h
    platform/LinkIcon.h
    platform/LocalizedStrings.h
    platform/LogInitialization.h
    platform/Logging.h
    platform/LowPowerModeNotifier.h
    platform/MIMETypeRegistry.h
    platform/MediaCapabilitiesDecodingInfo.h
    platform/MediaCapabilitiesEncodingInfo.h
    platform/MediaCapabilitiesInfo.h
    platform/MediaDescription.h
    platform/MediaSample.h
    platform/MediaSelectionOption.h
    platform/MediaSessionGroupIdentifier.h
    platform/MediaSessionIdentifier.h
    platform/MediaStrategy.h
    platform/MediaUniqueIdentifier.h
    platform/NowPlayingManager.h
    platform/NotImplemented.h
    platform/OrientationNotifier.h
    platform/PODInterval.h
    platform/PODIntervalTree.h
    platform/PODRedBlackTree.h
    platform/PageIdentifier.h
    platform/Pasteboard.h
    platform/PasteboardContext.h
    platform/PasteboardCustomData.h
    platform/PasteboardItemInfo.h
    platform/PasteboardStrategy.h
    platform/PasteboardWriterData.h
    platform/PlaneLayout.h
    platform/PlatformEvent.h
    platform/PlatformExportMacros.h
    platform/PlatformKeyboardEvent.h
    platform/PlatformMouseEvent.h
    platform/PlatformPasteboard.h
    platform/PlatformScreen.h
    platform/PlatformSpeechSynthesisUtterance.h
    platform/PlatformSpeechSynthesisVoice.h
    platform/PlatformSpeechSynthesizer.h
    platform/PlatformStrategies.h
    platform/PlatformTouchEvent.h
    platform/PlatformTouchPoint.h
    platform/PlatformWheelEvent.h
    platform/PointerID.h
    platform/PopupMenu.h
    platform/PopupMenuClient.h
    platform/PopupMenuStyle.h
    platform/ProcessCapabilities.h
    platform/ProcessIdentifier.h
    platform/ProcessIdentity.h
    platform/ProcessQualified.h
    platform/PromisedAttachmentInfo.h
    platform/PublicSuffix.h
    platform/RectEdges.h
    platform/ReferrerPolicy.h
    platform/RegistrableDomain.h
    platform/RemoteCommandListener.h
    platform/RuntimeApplicationChecks.h
    platform/ScreenOrientationManager.h
    platform/ScreenProperties.h
    platform/ScriptExecutionContextIdentifier.h
    platform/ScrollAlignment.h
    platform/ScrollAnimation.h
    platform/ScrollAnimationMomentum.h
    platform/ScrollAnimator.h
    platform/ScrollSnapAnimatorState.h
    platform/ScrollTypes.h
    platform/ScrollView.h
    platform/ScrollableArea.h
    platform/Scrollbar.h
    platform/ScrollbarTheme.h
    platform/ScrollbarThemeComposite.h
    platform/ScrollingEffectsController.h
    platform/SearchPopupMenu.h
    platform/SerializedPlatformDataCue.h
    platform/SerializedPlatformDataCueValue.h
    platform/SharedBuffer.h
    platform/SharedBufferChunkReader.h
    platform/SharedStringHash.h
    platform/SimpleCaretAnimator.h
    platform/SleepDisabler.h
    platform/SleepDisablerClient.h
    platform/SleepDisablerIdentifier.h
    platform/SuddenTermination.h
    platform/Supplementable.h
    platform/SystemSoundDelegate.h
    platform/TextRecognitionOptions.h
    platform/ThemeTypes.h
    platform/ThreadCheck.h
    platform/ThreadGlobalData.h
    platform/ThreadSafeDataBuffer.h
    platform/ThreadTimers.h
    platform/Timer.h
    platform/TouchAction.h
    platform/UserActivity.h
    platform/UserAgent.h
    platform/UserInterfaceLayoutDirection.h
    platform/ValidationBubble.h
    platform/VideoEncoderScalabilityMode.h
    platform/VideoFrame.h
    platform/VideoFrameMetadata.h
    platform/VideoFrameTimeMetadata.h
    platform/VideoPixelFormat.h
    platform/WebCorePersistentCoders.h
    platform/Widget.h
    platform/WindowsKeyboardCodes.h

    platform/animation/AcceleratedEffect.h
    platform/animation/AcceleratedEffectStack.h
    platform/animation/AcceleratedEffectValues.h
    platform/animation/Animation.h
    platform/animation/AnimationList.h
    platform/animation/AnimationUtilities.h
    platform/animation/TimingFunction.h

    platform/audio/AudioArray.h
    platform/audio/AudioBus.h
    platform/audio/AudioChannel.h
    platform/audio/AudioDestination.h
    platform/audio/AudioDestinationResampler.h
    platform/audio/AudioHardwareListener.h
    platform/audio/AudioIOCallback.h
    platform/audio/AudioSession.h
    platform/audio/AudioSourceProvider.h
    platform/audio/AudioSourceProviderClient.h
    platform/audio/AudioStreamDescription.h
    platform/audio/AudioUtilities.h
    platform/audio/NowPlayingInfo.h
    platform/audio/PlatformAudioData.h
    platform/audio/PlatformMediaSession.h
    platform/audio/PlatformMediaSessionManager.h
    platform/audio/PlatformRawAudioData.h
    platform/audio/PushPullFIFO.h

    platform/calc/CalcExpressionNode.h
    platform/calc/CalculationValue.h

    platform/encryptedmedia/CDMEncryptionScheme.h
    platform/encryptedmedia/CDMFactory.h
    platform/encryptedmedia/CDMInstance.h
    platform/encryptedmedia/CDMInstanceSession.h
    platform/encryptedmedia/CDMKeyStatus.h
    platform/encryptedmedia/CDMKeySystemConfiguration.h
    platform/encryptedmedia/CDMMediaCapability.h
    platform/encryptedmedia/CDMMessageType.h
    platform/encryptedmedia/CDMPrivate.h
    platform/encryptedmedia/CDMProxy.h
    platform/encryptedmedia/CDMRequirement.h
    platform/encryptedmedia/CDMRestrictions.h
    platform/encryptedmedia/CDMSessionType.h
    platform/encryptedmedia/CDMUtilities.h

    platform/gamepad/GamepadProvider.h
    platform/gamepad/GamepadProviderClient.h
    platform/gamepad/PlatformGamepad.h
    platform/gamepad/SharedGamepadValue.h

    platform/graphics/AlphaPremultiplication.h
    platform/graphics/AnimationFrameRate.h
    platform/graphics/AudioTrackPrivate.h
    platform/graphics/AudioTrackPrivateClient.h
    platform/graphics/CopyImageOptions.h
    platform/graphics/BifurcatedGraphicsContext.h
    platform/graphics/BitmapImage.h
    platform/graphics/ByteArrayPixelBuffer.h
    platform/graphics/CachedSubimage.h
    platform/graphics/Color.h
    platform/graphics/ColorComponents.h
    platform/graphics/ColorConversion.h
    platform/graphics/ColorHash.h
    platform/graphics/ColorInterpolation.h
    platform/graphics/ColorInterpolationMethod.h
    platform/graphics/ColorLuminance.h
    platform/graphics/ColorMatrix.h
    platform/graphics/ColorModels.h
    platform/graphics/ColorNormalization.h
    platform/graphics/ColorSerialization.h
    platform/graphics/ColorSpace.h
    platform/graphics/ColorTransferFunctions.h
    platform/graphics/ColorTypes.h
    platform/graphics/ColorUtilities.h
    platform/graphics/ComplexTextController.h
    platform/graphics/ContentTypeUtilities.h
    platform/graphics/DashArray.h
    platform/graphics/DecodingOptions.h
    platform/graphics/DecomposedGlyphs.h
    platform/graphics/DestinationColorSpace.h
    platform/graphics/DisplayRefreshMonitor.h
    platform/graphics/DisplayRefreshMonitorClient.h
    platform/graphics/DisplayRefreshMonitorFactory.h
    platform/graphics/DisplayRefreshMonitorManager.h
    platform/graphics/DisplayUpdate.h
    platform/graphics/DrawGlyphsRecorder.h
    platform/graphics/FloatLine.h
    platform/graphics/FloatPoint.h
    platform/graphics/FloatPoint3D.h
    platform/graphics/FloatQuad.h
    platform/graphics/FloatRect.h
    platform/graphics/FloatRoundedRect.h
    platform/graphics/FloatSize.h
    platform/graphics/Font.h
    platform/graphics/FontBaseline.h
    platform/graphics/FontCache.h
    platform/graphics/FontCascade.h
    platform/graphics/FontCascadeCache.h
    platform/graphics/FontCascadeDescription.h
    platform/graphics/FontCascadeFonts.h
    platform/graphics/FontCreationContext.h
    platform/graphics/FontCustomPlatformData.h
    platform/graphics/FontDescription.h
    platform/graphics/FontFamilySpecificationNull.h
    platform/graphics/FontFeatureValues.h
    platform/graphics/FontGenericFamilies.h
    platform/graphics/FontMetrics.h
    platform/graphics/FontPalette.h
    platform/graphics/FontPaletteValues.h
    platform/graphics/FontPlatformData.h
    platform/graphics/FontRanges.h
    platform/graphics/FontSelectionAlgorithm.h
    platform/graphics/FontSelector.h
    platform/graphics/FontSelectorClient.h
    platform/graphics/FontSizeAdjust.h
    platform/graphics/FontTaggedSettings.h
    platform/graphics/FourCC.h
    platform/graphics/GCGLSpan.h
    platform/graphics/GeometryUtilities.h
    platform/graphics/Glyph.h
    platform/graphics/GlyphBuffer.h
    platform/graphics/GlyphBufferMembers.h
    platform/graphics/GlyphMetricsMap.h
    platform/graphics/GlyphPage.h
    platform/graphics/Gradient.h
    platform/graphics/GradientColorStop.h
    platform/graphics/GradientColorStops.h
    platform/graphics/GraphicsContext.h
    platform/graphics/GraphicsContextGL.h
    platform/graphics/GraphicsContextGLActiveInfo.h
    platform/graphics/GraphicsContextGLAttributes.h
    platform/graphics/GraphicsContextGLEnums.h
    platform/graphics/GraphicsContextGLState.h
    platform/graphics/GraphicsContextState.h
    platform/graphics/GraphicsContextStateSaver.h
    platform/graphics/GraphicsLayer.h
    platform/graphics/GraphicsLayerClient.h
    platform/graphics/GraphicsLayerContentsDisplayDelegate.h
    platform/graphics/GraphicsLayerFactory.h
    platform/graphics/GraphicsLayerTransform.h
    platform/graphics/GraphicsStyle.h
    platform/graphics/GraphicsTypes.h
    platform/graphics/GraphicsTypesGL.h
    platform/graphics/Icon.h
    platform/graphics/Image.h
    platform/graphics/ImageBackingStore.h
    platform/graphics/ImageBuffer.h
    platform/graphics/ImageBufferAllocator.h
    platform/graphics/ImageBufferBackend.h
    platform/graphics/ImageBufferBackendParameters.h
    platform/graphics/ImageDecoder.h
    platform/graphics/ImageDecoderIdentifier.h
    platform/graphics/ImageFrame.h
    platform/graphics/ImageObserver.h
    platform/graphics/ImageOrientation.h
    platform/graphics/ImagePaintingOptions.h
    platform/graphics/ImageSource.h
    platform/graphics/ImageTypes.h
    platform/graphics/InbandGenericCue.h
    platform/graphics/InbandGenericCueIdentifier.h
    platform/graphics/InbandTextTrackPrivate.h
    platform/graphics/InbandTextTrackPrivateClient.h
    platform/graphics/IntDegrees.h
    platform/graphics/IntPoint.h
    platform/graphics/IntPointHash.h
    platform/graphics/IntRect.h
    platform/graphics/IntRectHash.h
    platform/graphics/IntSize.h
    platform/graphics/IntSizeHash.h
    platform/graphics/LayerHostingContextIdentifier.h
    platform/graphics/LayerTreeAsTextOptions.h
    platform/graphics/LayoutPoint.h
    platform/graphics/LayoutRect.h
    platform/graphics/LayoutSize.h
    platform/graphics/LegacyCDMSession.h
    platform/graphics/MIMETypeCache.h
    platform/graphics/MediaPlaybackTarget.h
    platform/graphics/MediaPlaybackTargetClient.h
    platform/graphics/MediaPlaybackTargetPicker.h
    platform/graphics/MediaPlayer.h
    platform/graphics/MediaPlayerEnums.h
    platform/graphics/MediaPlayerIdentifier.h
    platform/graphics/MediaPlayerPrivate.h
    platform/graphics/MediaSourcePrivate.h
    platform/graphics/MediaSourcePrivateClient.h
    platform/graphics/MediaUsageInfo.h
    platform/graphics/Model.h
    platform/graphics/NativeImage.h
    platform/graphics/NullGraphicsContext.h
    platform/graphics/Path.h
    platform/graphics/PathElement.h
    platform/graphics/PathImpl.h
    platform/graphics/PathSegment.h
    platform/graphics/PathSegmentData.h
    platform/graphics/PathStream.h
    platform/graphics/PathUtilities.h
    platform/graphics/Pattern.h
    platform/graphics/PixelBuffer.h
    platform/graphics/PixelBufferConversion.h
    platform/graphics/PixelBufferFormat.h
    platform/graphics/PixelFormat.h
    platform/graphics/PlatformAudioTrackConfiguration.h
    platform/graphics/PlatformColorSpace.h
    platform/graphics/PlatformDisplay.h
    platform/graphics/PlatformGraphicsContext.h
    platform/graphics/PlatformImage.h
    platform/graphics/PlatformImageBuffer.h
    platform/graphics/PlatformImageBufferBackend.h
    platform/graphics/PlatformLayer.h
    platform/graphics/PlatformLayerIdentifier.h
    platform/graphics/PlatformMediaResourceLoader.h
    platform/graphics/PlatformPath.h
    platform/graphics/PlatformTextTrack.h
    platform/graphics/PlatformTimeRanges.h
    platform/graphics/PlatformTrackConfiguration.h
    platform/graphics/PlatformVideoColorPrimaries.h
    platform/graphics/PlatformVideoColorSpace.h
    platform/graphics/PlatformVideoMatrixCoefficients.h
    platform/graphics/PlatformVideoTrackConfiguration.h
    platform/graphics/PlatformVideoTransferCharacteristics.h
    platform/graphics/PositionedGlyphs.h
    platform/graphics/Region.h
    platform/graphics/RenderingResource.h
    platform/graphics/RenderingResourceIdentifier.h
    platform/graphics/RenderingMode.h
    platform/graphics/RotationDirection.h
    platform/graphics/RoundedRect.h
    platform/graphics/ScreenDataOverrides.h
    platform/graphics/ShouldLocalizeAxisNames.h
    platform/graphics/SourceBrush.h
    platform/graphics/SourceBufferPrivate.h
    platform/graphics/SourceBufferPrivateClient.h
    platform/graphics/SourceImage.h
    platform/graphics/StringTruncator.h
    platform/graphics/SystemFallbackFontCache.h
    platform/graphics/SystemImage.h
    platform/graphics/TabSize.h
    platform/graphics/TextRun.h
    platform/graphics/TextTrackRepresentation.h
    platform/graphics/TiledBacking.h
    platform/graphics/TrackBuffer.h
    platform/graphics/TrackPrivateBase.h
    platform/graphics/TrackPrivateBaseClient.h
    platform/graphics/VP9Utilities.h
    platform/graphics/VelocityData.h
    platform/graphics/VideoLayerManager.h
    platform/graphics/VideoPlaybackQualityMetrics.h
    platform/graphics/VideoTrackPrivate.h
    platform/graphics/VideoTrackPrivateClient.h
    platform/graphics/WidthCache.h
    platform/graphics/WindRule.h

    platform/graphics/angle/ANGLEHeaders.h
    platform/graphics/angle/ANGLEUtilities.h
    platform/graphics/angle/GraphicsContextGLANGLE.h

    platform/graphics/controls/ButtonPart.h
    platform/graphics/controls/ColorWellPart.h
    platform/graphics/controls/ControlFactory.h
    platform/graphics/controls/ControlPart.h
    platform/graphics/controls/ControlStyle.h
    platform/graphics/controls/ImageControlsButtonPart.h
    platform/graphics/controls/InnerSpinButtonPart.h
    platform/graphics/controls/MenuListButtonPart.h
    platform/graphics/controls/MenuListPart.h
    platform/graphics/controls/MeterPart.h
    platform/graphics/controls/PlatformControl.h
    platform/graphics/controls/ProgressBarPart.h
    platform/graphics/controls/SearchFieldCancelButtonPart.h
    platform/graphics/controls/SearchFieldPart.h
    platform/graphics/controls/SearchFieldResultsPart.h
    platform/graphics/controls/SliderThumbPart.h
    platform/graphics/controls/SliderTrackPart.h
    platform/graphics/controls/TextAreaPart.h
    platform/graphics/controls/TextFieldPart.h
    platform/graphics/controls/ToggleButtonPart.h

    platform/graphics/displaylists/DisplayList.h
    platform/graphics/displaylists/DisplayListDrawingContext.h
    platform/graphics/displaylists/DisplayListImageBuffer.h
    platform/graphics/displaylists/DisplayListItems.h
    platform/graphics/displaylists/DisplayListRecorder.h
    platform/graphics/displaylists/DisplayListRecorderImpl.h
    platform/graphics/displaylists/DisplayListReplayer.h
    platform/graphics/displaylists/DisplayListResourceHeap.h

    platform/graphics/cv/ImageTransferSessionVT.h

    platform/graphics/egl/GLContext.h

    platform/graphics/filters/DistantLightSource.h
    platform/graphics/filters/FEBlend.h
    platform/graphics/filters/FEColorMatrix.h
    platform/graphics/filters/FEComponentTransfer.h
    platform/graphics/filters/FEComposite.h
    platform/graphics/filters/FEConvolveMatrix.h
    platform/graphics/filters/FEDiffuseLighting.h
    platform/graphics/filters/FEDisplacementMap.h
    platform/graphics/filters/FEDropShadow.h
    platform/graphics/filters/FEFlood.h
    platform/graphics/filters/FEGaussianBlur.h
    platform/graphics/filters/FEImage.h
    platform/graphics/filters/FELighting.h
    platform/graphics/filters/FEMerge.h
    platform/graphics/filters/FEMorphology.h
    platform/graphics/filters/FEOffset.h
    platform/graphics/filters/FESpecularLighting.h
    platform/graphics/filters/FETile.h
    platform/graphics/filters/FETurbulence.h
    platform/graphics/filters/Filter.h
    platform/graphics/filters/FilterEffect.h
    platform/graphics/filters/FilterEffectApplier.h
    platform/graphics/filters/FilterEffectGeometry.h
    platform/graphics/filters/FilterEffectVector.h
    platform/graphics/filters/FilterFunction.h
    platform/graphics/filters/FilterImage.h
    platform/graphics/filters/FilterImageVector.h
    platform/graphics/filters/FilterOperation.h
    platform/graphics/filters/FilterOperations.h
    platform/graphics/filters/FilterRenderingMode.h
    platform/graphics/filters/FilterResults.h
    platform/graphics/filters/FilterStyle.h
    platform/graphics/filters/LightSource.h
    platform/graphics/filters/PointLightSource.h
    platform/graphics/filters/SourceAlpha.h
    platform/graphics/filters/SourceGraphic.h
    platform/graphics/filters/SpotLightSource.h

    platform/graphics/iso/ISOBox.h
    platform/graphics/iso/ISOOriginalFormatBox.h
    platform/graphics/iso/ISOProtectionSchemeInfoBox.h
    platform/graphics/iso/ISOSchemeInformationBox.h
    platform/graphics/iso/ISOSchemeTypeBox.h
    platform/graphics/iso/ISOTrackEncryptionBox.h
    platform/graphics/iso/ISOVTTCue.h

    platform/graphics/libwpe/PlatformDisplayLibWPE.h

    platform/graphics/opentype/OpenTypeMathData.h
    platform/graphics/opentype/OpenTypeVerticalData.h

    platform/graphics/transforms/AffineTransform.h
    platform/graphics/transforms/IdentityTransformOperation.h
    platform/graphics/transforms/Matrix3DTransformOperation.h
    platform/graphics/transforms/MatrixTransformOperation.h
    platform/graphics/transforms/PerspectiveTransformOperation.h
    platform/graphics/transforms/RotateTransformOperation.h
    platform/graphics/transforms/ScaleTransformOperation.h
    platform/graphics/transforms/SkewTransformOperation.h
    platform/graphics/transforms/TransformOperation.h
    platform/graphics/transforms/TransformOperations.h
    platform/graphics/transforms/TransformState.h
    platform/graphics/transforms/TransformationMatrix.h
    platform/graphics/transforms/TranslateTransformOperation.h

    platform/mediacapabilities/AudioConfiguration.h
    platform/mediacapabilities/ColorGamut.h
    platform/mediacapabilities/HdrMetadataType.h
    platform/mediacapabilities/MediaConfiguration.h
    platform/mediacapabilities/MediaDecodingConfiguration.h
    platform/mediacapabilities/MediaDecodingType.h
    platform/mediacapabilities/MediaEncodingConfiguration.h
    platform/mediacapabilities/MediaEncodingType.h
    platform/mediacapabilities/MediaEngineConfigurationFactory.h
    platform/mediacapabilities/TransferFunction.h
    platform/mediacapabilities/VideoConfiguration.h

    platform/mediarecorder/MediaRecorderPrivate.h

    platform/mediastream/CaptureDevice.h
    platform/mediastream/CaptureDeviceManager.h
    platform/mediastream/CaptureDeviceWithCapabilities.h
    platform/mediastream/DisplayCaptureManager.h
    platform/mediastream/DisplayCapturePromptType.h
    platform/mediastream/MDNSRegisterError.h
    platform/mediastream/MediaConstraints.h
    platform/mediastream/MediaStreamPrivate.h
    platform/mediastream/MediaStreamRequest.h
    platform/mediastream/MediaStreamTrackPrivate.h
    platform/mediastream/RTCDataChannelHandler.h
    platform/mediastream/RTCDataChannelHandlerClient.h
    platform/mediastream/RTCDataChannelIdentifier.h
    platform/mediastream/RTCDataChannelLocalIdentifier.h
    platform/mediastream/RTCDataChannelRemoteHandlerConnection.h
    platform/mediastream/RTCDataChannelRemoteSourceConnection.h
    platform/mediastream/RTCDataChannelState.h
    platform/mediastream/RTCPriorityType.h
    platform/mediastream/RTCRtpCapabilities.h
    platform/mediastream/RTCRtpCodecCapability.h
    platform/mediastream/RealtimeMediaSource.h
    platform/mediastream/RealtimeMediaSourceCapabilities.h
    platform/mediastream/RealtimeMediaSourceCenter.h
    platform/mediastream/RealtimeMediaSourceFactory.h
    platform/mediastream/RealtimeMediaSourceIdentifier.h
    platform/mediastream/RealtimeMediaSourceSettings.h
    platform/mediastream/RealtimeMediaSourceSupportedConstraints.h
    platform/mediastream/RealtimeVideoCaptureSource.h
    platform/mediastream/VideoPreset.h
    platform/mediastream/WebAudioSourceProvider.h
    platform/mediastream/WebRTCProvider.h

    platform/mediastream/libwebrtc/LibWebRTCEnumTraits.h
    platform/mediastream/libwebrtc/LibWebRTCMacros.h
    platform/mediastream/libwebrtc/LibWebRTCProvider.h
    platform/mediastream/libwebrtc/LibWebRTCSocketIdentifier.h

    platform/mock/DeviceOrientationClientMock.h
    platform/mock/MediaPlaybackTargetMock.h
    platform/mock/MediaPlaybackTargetPickerMock.h
    platform/mock/MockMediaDevice.h
    platform/mock/MockRealtimeAudioSource.h
    platform/mock/MockRealtimeMediaSourceCenter.h
    platform/mock/MockRealtimeVideoSource.h

    platform/network/AdvancedPrivacyProtections.h
    platform/network/AuthenticationChallengeBase.h
    platform/network/AuthenticationClient.h
    platform/network/BlobData.h
    platform/network/BlobDataFileReference.h
    platform/network/BlobPart.h
    platform/network/BlobRegistry.h
    platform/network/BlobRegistryImpl.h
    platform/network/BlobResourceHandle.h
    platform/network/CacheValidation.h
    platform/network/CertificateSummary.h
    platform/network/CookieRequestHeaderFieldProxy.h
    platform/network/CookieStorage.h
    platform/network/Credential.h
    platform/network/CredentialBase.h
    platform/network/CredentialStorage.h
    platform/network/DNS.h
    platform/network/DNSResolveQueue.h
    platform/network/DataURLDecoder.h
    platform/network/FormData.h
    platform/network/HTTPCookieAcceptPolicy.h
    platform/network/HTTPHeaderMap.h
    platform/network/HTTPHeaderNames.in
    platform/network/HTTPHeaderValues.h
    platform/network/HTTPParsers.h
    platform/network/NetworkLoadInformation.h
    platform/network/NetworkLoadMetrics.h
    platform/network/NetworkStateNotifier.h
    platform/network/NetworkStorageSession.h
    platform/network/NetworkingContext.h
    platform/network/ParsedContentRange.h
    platform/network/ParsedContentType.h
    platform/network/ParsedRequestRange.h
    platform/network/ProtectionSpace.h
    platform/network/ProtectionSpaceBase.h
    platform/network/ProtectionSpaceHash.h
    platform/network/RFC8941.h
    platform/network/ResourceErrorBase.h
    platform/network/ResourceHandle.h
    platform/network/ResourceHandleClient.h
    platform/network/ResourceLoadPriority.h
    platform/network/ResourceRequestBase.h
    platform/network/ResourceResponseBase.h
    platform/network/SameSiteInfo.h
    platform/network/ShouldRelaxThirdPartyCookieBlocking.h
    platform/network/SocketStreamError.h
    platform/network/StorageSessionProvider.h
    platform/network/StoredCredentialsPolicy.h
    platform/network/SynchronousLoaderClient.h
    platform/network/TimingAllowOrigin.h

    platform/sql/SQLValue.h
    platform/sql/SQLiteDatabase.h
    platform/sql/SQLiteDatabaseTracker.h
    platform/sql/SQLiteDatabaseTrackerClient.h
    platform/sql/SQLiteFileSystem.h
    platform/sql/SQLiteStatement.h
    platform/sql/SQLiteStatementAutoResetScope.h
    platform/sql/SQLiteTransaction.h

    platform/text/CharacterProperties.h
    platform/text/BidiContext.h
    platform/text/StringWithDirection.h
    platform/text/TextBoundaries.h
    platform/text/TextCheckerClient.h
    platform/text/TextChecking.h
    platform/text/TextCheckingRequestIdentifier.h
    platform/text/TextDirection.h
    platform/text/TextFlags.h
    platform/text/TextSpacing.h
    platform/text/UnicodeBidi.h
    platform/text/WritingMode.h

    platform/xr/PlatformXR.h

    plugins/PluginData.h
    plugins/PluginInfoProvider.h
    plugins/PluginViewBase.h

    rendering/AccessibilityRegionContext.h
    rendering/BreakLines.h
    rendering/CaretRectComputation.h
    rendering/CSSFilter.h
    rendering/CSSValueKey.h
    rendering/ClipRect.h
    rendering/EventRegion.h
    rendering/FloatingObjects.h
    rendering/GapRects.h
    rendering/HighlightData.h
    rendering/HitTestLocation.h
    rendering/HitTestRequest.h
    rendering/HitTestResult.h
    rendering/LayerAncestorClippingStack.h
    rendering/LayerFragment.h
    rendering/LegacyEllipsisBox.h
    rendering/LegacyInlineBox.h
    rendering/LegacyInlineElementBox.h
    rendering/LegacyInlineFlowBox.h
    rendering/LegacyInlineTextBox.h
    rendering/LegacyLineLayout.h
    rendering/LegacyRootInlineBox.h
    rendering/MarkedText.h
    rendering/OrderIterator.h
    rendering/OverlapTestRequestClient.h
    rendering/Pagination.h
    rendering/PaintFrequencyTracker.h
    rendering/PaintInfo.h
    rendering/PaintPhase.h
    rendering/PathOperation.h
    rendering/RegionContext.h
    rendering/RenderAttachment.h
    rendering/RenderBlock.h
    rendering/RenderBlockFlow.h
    rendering/RenderBox.h
    rendering/RenderBoxInlines.h
    rendering/RenderBoxModelObject.h
    rendering/RenderBoxModelObjectInlines.h
    rendering/RenderElement.h
    rendering/RenderElementInlines.h
    rendering/RenderEmbeddedObject.h
    rendering/RenderFlexibleBox.h
    rendering/RenderFrame.h
    rendering/RenderFrameBase.h
    rendering/RenderImage.h
    rendering/RenderImageResource.h
    rendering/RenderInline.h
    rendering/RenderLayer.h
    rendering/RenderLayerBacking.h
    rendering/RenderLayerCompositor.h
    rendering/RenderLayerModelObject.h
    rendering/RenderLayerScrollableArea.h
    rendering/RenderLineBoxList.h
    rendering/RenderMedia.h
    rendering/RenderModel.h
    rendering/RenderObject.h
    rendering/RenderObjectEnums.h
    rendering/RenderObjectInlines.h
    rendering/RenderOverflow.h
    rendering/RenderPtr.h
    rendering/RenderReplaced.h
    rendering/RenderSelectionInfo.h
    rendering/RenderText.h
    rendering/RenderTextControl.h
    rendering/RenderTextLineBoxes.h
    rendering/RenderTheme.h
    rendering/RenderThemeCocoa.h
    rendering/RenderThemeIOS.h
    rendering/RenderTreeAsText.h
    rendering/RenderVideo.h
    rendering/RenderView.h
    rendering/RenderWidget.h
    rendering/SelectionRangeData.h
    rendering/TextBoxSelectableRange.h

    rendering/line/LineWidth.h
    rendering/line/TrailingObjects.h

    rendering/shapes/Shape.h
    rendering/shapes/ShapeOutsideInfo.h

    rendering/style/BasicShapes.h
    rendering/style/BorderData.h
    rendering/style/BorderValue.h
    rendering/style/CounterDirectives.h
    rendering/style/FillLayer.h
    rendering/style/GapLength.h
    rendering/style/GridArea.h
    rendering/style/GridLength.h
    rendering/style/GridPosition.h
    rendering/style/GridTrackSize.h
    rendering/style/LineClampValue.h
    rendering/style/ListStyleType.h
    rendering/style/NinePieceImage.h
    rendering/style/OffsetRotation.h
    rendering/style/OutlineValue.h
    rendering/style/RenderStyle.h
    rendering/style/RenderStyleConstants.h
    rendering/style/RenderStyleInlines.h
    rendering/style/RenderStyleSetters.h
    rendering/style/ScrollbarColor.h
    rendering/style/ScrollbarGutter.h
    rendering/style/SVGRenderStyle.h
    rendering/style/SVGRenderStyleDefs.h
    rendering/style/ShadowData.h
    rendering/style/ShapeValue.h
    rendering/style/StyleBackgroundData.h
    rendering/style/StyleBoxData.h
    rendering/style/StyleColorScheme.h
    rendering/style/StyleContentAlignmentData.h
    rendering/style/StyleCustomPropertyData.h
    rendering/style/StyleDeprecatedFlexibleBoxData.h
    rendering/style/StyleFilterData.h
    rendering/style/StyleFlexibleBoxData.h
    rendering/style/StyleGridData.h
    rendering/style/StyleGridItemData.h
    rendering/style/StyleImage.h
    rendering/style/StyleInheritedData.h
    rendering/style/StyleMarqueeData.h
    rendering/style/StyleMiscNonInheritedData.h
    rendering/style/StyleMultiColData.h
    rendering/style/StyleNonInheritedData.h
    rendering/style/StyleRareInheritedData.h
    rendering/style/StyleRareNonInheritedData.h
    rendering/style/StyleReflection.h
    rendering/style/StyleScrollSnapPoints.h
    rendering/style/StyleSelfAlignmentData.h
    rendering/style/StyleSurroundData.h
    rendering/style/StyleTextBoxEdge.h
    rendering/style/StyleTransformData.h
    rendering/style/StyleVisitedLinkColorData.h
    rendering/style/TextDecorationThickness.h
    rendering/style/TextSizeAdjustment.h
    rendering/style/TextUnderlineOffset.h
    rendering/style/WillChangeData.h

    rendering/svg/RenderSVGModelObject.h
    rendering/svg/SVGBoundingBoxComputation.h
    rendering/svg/SVGRenderSupport.h

    storage/Storage.h
    storage/StorageArea.h
    storage/StorageEventDispatcher.h
    storage/StorageMap.h
    storage/StorageNamespace.h
    storage/StorageNamespaceProvider.h
    storage/StorageQuotaManager.h
    storage/StorageType.h
    storage/StorageUtilities.h

    style/ScopedName.h
    style/StyleAppearance.h
    style/StyleChange.h
    style/StyleScope.h
    style/StyleScopeOrdinal.h
    style/StyleUpdate.h
    style/StyleValidity.h
    style/Styleable.h

    svg/SVGLengthContext.h
    svg/SVGLengthValue.h
    svg/SVGParserUtilities.h
    svg/SVGParsingError.h
    svg/SVGPathByteStream.h
    svg/SVGPathConsumer.h
    svg/SVGPathUtilities.h
    svg/SVGPreserveAspectRatioValue.h
    svg/SVGStringList.h
    svg/SVGTests.h
    svg/SVGUnitTypes.h

    svg/graphics/SVGImageCache.h

    svg/graphics/filters/SVGFilter.h
    svg/graphics/filters/SVGFilterExpression.h

    svg/properties/SVGList.h
    svg/properties/SVGPrimitiveList.h
    svg/properties/SVGProperty.h
    svg/properties/SVGPropertyOwner.h
    svg/properties/SVGPropertyTraits.h

    testing/MockGamepad.h
    testing/MockGamepadProvider.h

    workers/ScriptBuffer.h
    workers/WorkerAnimationController.h
    workers/WorkerDebuggerProxy.h
    workers/WorkerFetchResult.h
    workers/WorkerFontLoadRequest.h
    workers/WorkerGlobalScope.h
    workers/WorkerInitializationData.h
    workers/WorkerLoaderProxy.h
    workers/WorkerObjectProxy.h
    workers/WorkerOptions.h
    workers/WorkerOrWorkletGlobalScope.h
    workers/WorkerOrWorkletScriptController.h
    workers/WorkerOrWorkletThread.h
    workers/WorkerReportingProxy.h
    workers/WorkerRunLoop.h
    workers/WorkerScriptLoader.h
    workers/WorkerScriptLoaderClient.h
    workers/WorkerThread.h
    workers/WorkerThreadMode.h
    workers/WorkerThreadType.h
    workers/WorkerType.h

    workers/service/ExtendableEvent.h
    workers/service/ExtendableEventInit.h
    workers/service/FetchEvent.h
    workers/service/NavigationPreloadState.h
    workers/service/SWClientConnection.h
    workers/service/ServiceWorkerClientData.h
    workers/service/ServiceWorkerClientPendingMessage.h
    workers/service/ServiceWorkerClientQueryOptions.h
    workers/service/ServiceWorkerClientType.h
    workers/service/ServiceWorkerContextData.h
    workers/service/ServiceWorkerData.h
    workers/service/ServiceWorkerIdentifier.h
    workers/service/ServiceWorkerImportedScript.h
    workers/service/ServiceWorkerJob.h
    workers/service/ServiceWorkerJobClient.h
    workers/service/ServiceWorkerJobData.h
    workers/service/ServiceWorkerJobDataIdentifier.h
    workers/service/ServiceWorkerJobType.h
    workers/service/ServiceWorkerProvider.h
    workers/service/ServiceWorkerRegistrationData.h
    workers/service/ServiceWorkerRegistrationKey.h
    workers/service/ServiceWorkerRegistrationOptions.h
    workers/service/ServiceWorkerTypes.h
    workers/service/ServiceWorkerUpdateViaCache.h

    workers/service/background-fetch/BackgroundFetch.h
    workers/service/background-fetch/BackgroundFetchEngine.h
    workers/service/background-fetch/BackgroundFetchFailureReason.h
    workers/service/background-fetch/BackgroundFetchInformation.h
    workers/service/background-fetch/BackgroundFetchOptions.h
    workers/service/background-fetch/BackgroundFetchRecordIdentifier.h
    workers/service/background-fetch/BackgroundFetchRecordInformation.h
    workers/service/background-fetch/BackgroundFetchRecordLoader.h
    workers/service/background-fetch/BackgroundFetchRequest.h
    workers/service/background-fetch/BackgroundFetchResult.h
    workers/service/background-fetch/BackgroundFetchStore.h
    workers/service/background-fetch/BackgroundFetchUIOptions.h
    workers/service/background-fetch/ImageResource.h

    workers/service/context/SWContextManager.h
    workers/service/context/ServiceWorkerDebuggable.h
    workers/service/context/ServiceWorkerFetch.h
    workers/service/context/ServiceWorkerInspectorProxy.h
    workers/service/context/ServiceWorkerThread.h
    workers/service/context/ServiceWorkerThreadProxy.h

    workers/service/server/SWOriginStore.h
    workers/service/server/SWRegistrationDatabase.h
    workers/service/server/SWRegistrationStore.h
    workers/service/server/SWServer.h
    workers/service/server/SWServerDelegate.h
    workers/service/server/SWServerRegistration.h
    workers/service/server/SWServerToContextConnection.h
    workers/service/server/SWServerWorker.h

    workers/shared/SharedWorkerIdentifier.h
    workers/shared/SharedWorkerKey.h
    workers/shared/SharedWorkerObjectConnection.h
    workers/shared/SharedWorkerObjectIdentifier.h
    workers/shared/SharedWorkerProvider.h

    workers/shared/context/SharedWorkerContextManager.h
    workers/shared/context/SharedWorkerThread.h
    workers/shared/context/SharedWorkerThreadProxy.h

    xml/CustomXPathNSResolver.h
    xml/XPathExpression.h
    xml/XPathNSResolver.h
    xml/XPathNodeSet.h
    xml/XPathResult.h
    xml/XPathValue.h

    ${WebCore_DERIVED_SOURCES_DIR}/CSSPropertyNames.h
    ${WebCore_DERIVED_SOURCES_DIR}/CSSPropertyParsing.h
    ${WebCore_DERIVED_SOURCES_DIR}/CSSValueKeywords.h
    ${WebCore_DERIVED_SOURCES_DIR}/CommandLineAPIModuleSourceBuiltins.h
    ${WebCore_DERIVED_SOURCES_DIR}/EventInterfaces.h
    ${WebCore_DERIVED_SOURCES_DIR}/EventTargetInterfaces.h
    ${WebCore_DERIVED_SOURCES_DIR}/HTMLElementTypeHelpers.h
    ${WebCore_DERIVED_SOURCES_DIR}/HTMLNames.h
    ${WebCore_DERIVED_SOURCES_DIR}/HTTPHeaderNames.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSAbstractRange.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSBlob.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSCSSRule.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSCSSRuleList.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSCSSStyleDeclaration.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSDOMBindingInternalsBuiltins.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSDOMImplementation.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSDeprecatedCSSOMCounter.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSDeprecatedCSSOMRGBColor.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSDeprecatedCSSOMRect.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSDeprecatedCSSOMValue.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSDocument.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSElement.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSEvent.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSEventTarget.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSFile.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSHTMLCollection.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSHTMLElement.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSHTMLOptionsCollection.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSLocalDOMWindow.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSMediaList.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSNamedNodeMap.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSNode.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSNodeIterator.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSNodeList.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSNotification.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSRange.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSReadableStreamDefaultController.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSStyleSheet.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSStyleSheetList.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSTreeWalker.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSXPathExpression.h
    ${WebCore_DERIVED_SOURCES_DIR}/JSXPathResult.h
    ${WebCore_DERIVED_SOURCES_DIR}/Namespace.h
    ${WebCore_DERIVED_SOURCES_DIR}/NodeName.h
    ${WebCore_DERIVED_SOURCES_DIR}/ReadableByteStreamInternalsBuiltins.h
    ${WebCore_DERIVED_SOURCES_DIR}/ReadableStreamInternalsBuiltins.h
    ${WebCore_DERIVED_SOURCES_DIR}/Settings.h
    ${WebCore_DERIVED_SOURCES_DIR}/StreamInternalsBuiltins.h
    ${WebCore_DERIVED_SOURCES_DIR}/TagName.h
    ${WebCore_DERIVED_SOURCES_DIR}/TransformStreamInternalsBuiltins.h
    ${WebCore_DERIVED_SOURCES_DIR}/WebCoreJSBuiltinInternals.h
    ${WebCore_DERIVED_SOURCES_DIR}/WebKitFontFamilyNames.h
    ${WebCore_DERIVED_SOURCES_DIR}/WritableStreamInternalsBuiltins.h
)

if (ENABLE_OPENCDM)
    list(APPEND WebCore_PRIVATE_FRAMEWORK_HEADERS platform/encryptedmedia/CDMOpenCDMTypes.h)
endif ()
